#line 2 "css.c"
/* config.h must precede flex's inclusion of <stdio.h>
   in order for its _GNU_SOURCE definition to take effect.  */
#include <config.h>

#line 7 "css.c"

#define  YY_INT_ALIGNED short int

/* A lexical scanner generated by flex */

#define FLEX_SCANNER
#define YY_FLEX_MAJOR_VERSION 2
#define YY_FLEX_MINOR_VERSION 6
#define YY_FLEX_SUBMINOR_VERSION 4
#if YY_FLEX_SUBMINOR_VERSION > 0
#define FLEX_BETA
#endif

/* First, we deal with  platform-specific or compiler-specific issues. */

/* begin standard C headers. */
#include <stdio.h>
#include <string.h>
#include <errno.h>
#include <stdlib.h>

/* end standard C headers. */

/* flex integer type definitions */

#ifndef FLEXINT_H
#define FLEXINT_H

/* C99 systems have <inttypes.h>. Non-C99 systems may or may not. */

#if defined (__STDC_VERSION__) && __STDC_VERSION__ >= 199901L

/* C99 says to define __STDC_LIMIT_MACROS before including stdint.h,
 * if you want the limit (max/min) macros for int types. 
 */
#ifndef __STDC_LIMIT_MACROS
#define __STDC_LIMIT_MACROS 1
#endif

#include <inttypes.h>
typedef int8_t flex_int8_t;
typedef uint8_t flex_uint8_t;
typedef int16_t flex_int16_t;
typedef uint16_t flex_uint16_t;
typedef int32_t flex_int32_t;
typedef uint32_t flex_uint32_t;
#else
typedef signed char flex_int8_t;
typedef short int flex_int16_t;
typedef int flex_int32_t;
typedef unsigned char flex_uint8_t; 
typedef unsigned short int flex_uint16_t;
typedef unsigned int flex_uint32_t;

/* Limits of integral types. */
#ifndef INT8_MIN
#define INT8_MIN               (-128)
#endif
#ifndef INT16_MIN
#define INT16_MIN              (-32767-1)
#endif
#ifndef INT32_MIN
#define INT32_MIN              (-2147483647-1)
#endif
#ifndef INT8_MAX
#define INT8_MAX               (127)
#endif
#ifndef INT16_MAX
#define INT16_MAX              (32767)
#endif
#ifndef INT32_MAX
#define INT32_MAX              (2147483647)
#endif
#ifndef UINT8_MAX
#define UINT8_MAX              (255U)
#endif
#ifndef UINT16_MAX
#define UINT16_MAX             (65535U)
#endif
#ifndef UINT32_MAX
#define UINT32_MAX             (4294967295U)
#endif

#ifndef SIZE_MAX
#define SIZE_MAX               (~(size_t)0)
#endif

#endif /* ! C99 */

#endif /* ! FLEXINT_H */

/* begin standard C++ headers. */

/* TODO: this is always defined, so inline it */
#define yyconst const

#if defined(__GNUC__) && __GNUC__ >= 3
#define yynoreturn __attribute__((__noreturn__))
#else
#define yynoreturn
#endif

/* Returned upon end-of-file. */
#define YY_NULL 0

/* Promotes a possibly negative, possibly signed char to an
 *   integer in range [0..255] for use as an array index.
 */
#define YY_SC_TO_UI(c) ((YY_CHAR) (c))

/* Enter a start condition.  This macro really ought to take a parameter,
 * but we do it the disgusting crufty way forced on us by the ()-less
 * definition of BEGIN.
 */
#define BEGIN (yy_start) = 1 + 2 *
/* Translate the current start state into a value that can be later handed
 * to BEGIN to return to the state.  The YYSTATE alias is for lex
 * compatibility.
 */
#define YY_START (((yy_start) - 1) / 2)
#define YYSTATE YY_START
/* Action number for EOF rule of a given start state. */
#define YY_STATE_EOF(state) (YY_END_OF_BUFFER + state + 1)
/* Special action meaning "start processing a new file". */
#define YY_NEW_FILE yyrestart( yyin  )
#define YY_END_OF_BUFFER_CHAR 0

/* Size of default input buffer. */
#ifndef YY_BUF_SIZE
#ifdef __ia64__
/* On IA-64, the buffer size is 16k, not 8k.
 * Moreover, YY_BUF_SIZE is 2*YY_READ_BUF_SIZE in the general case.
 * Ditto for the __ia64__ case accordingly.
 */
#define YY_BUF_SIZE 32768
#else
#define YY_BUF_SIZE 16384
#endif /* __ia64__ */
#endif

/* The state buf must be large enough to hold one state per character in the main buffer.
 */
#define YY_STATE_BUF_SIZE   ((YY_BUF_SIZE + 2) * sizeof(yy_state_type))

#ifndef YY_TYPEDEF_YY_BUFFER_STATE
#define YY_TYPEDEF_YY_BUFFER_STATE
typedef struct yy_buffer_state *YY_BUFFER_STATE;
#endif

#ifndef YY_TYPEDEF_YY_SIZE_T
#define YY_TYPEDEF_YY_SIZE_T
typedef size_t yy_size_t;
#endif

extern int yyleng;

extern FILE *yyin, *yyout;

#define EOB_ACT_CONTINUE_SCAN 0
#define EOB_ACT_END_OF_FILE 1
#define EOB_ACT_LAST_MATCH 2
    
    #define YY_LESS_LINENO(n)
    #define YY_LINENO_REWIND_TO(ptr)
    
/* Return all but the first "n" matched characters back to the input stream. */
#define yyless(n) \
	do \
		{ \
		/* Undo effects of setting up yytext. */ \
        int yyless_macro_arg = (n); \
        YY_LESS_LINENO(yyless_macro_arg);\
		*yy_cp = (yy_hold_char); \
		YY_RESTORE_YY_MORE_OFFSET \
		(yy_c_buf_p) = yy_cp = yy_bp + yyless_macro_arg - YY_MORE_ADJ; \
		YY_DO_BEFORE_ACTION; /* set up yytext again */ \
		} \
	while ( 0 )
#define unput(c) yyunput( c, (yytext_ptr)  )

#ifndef YY_STRUCT_YY_BUFFER_STATE
#define YY_STRUCT_YY_BUFFER_STATE
struct yy_buffer_state
	{
	FILE *yy_input_file;

	char *yy_ch_buf;		/* input buffer */
	char *yy_buf_pos;		/* current position in input buffer */

	/* Size of input buffer in bytes, not including room for EOB
	 * characters.
	 */
	int yy_buf_size;

	/* Number of characters read into yy_ch_buf, not including EOB
	 * characters.
	 */
	int yy_n_chars;

	/* Whether we "own" the buffer - i.e., we know we created it,
	 * and can realloc() it to grow it, and should free() it to
	 * delete it.
	 */
	int yy_is_our_buffer;

	/* Whether this is an "interactive" input source; if so, and
	 * if we're using stdio for input, then we want to use getc()
	 * instead of fread(), to make sure we stop fetching input after
	 * each newline.
	 */
	int yy_is_interactive;

	/* Whether we're considered to be at the beginning of a line.
	 * If so, '^' rules will be active on the next match, otherwise
	 * not.
	 */
	int yy_at_bol;

    int yy_bs_lineno; /**< The line count. */
    int yy_bs_column; /**< The column count. */

	/* Whether to try to fill the input buffer when we reach the
	 * end of it.
	 */
	int yy_fill_buffer;

	int yy_buffer_status;

#define YY_BUFFER_NEW 0
#define YY_BUFFER_NORMAL 1
	/* When an EOF's been seen but there's still some text to process
	 * then we mark the buffer as YY_EOF_PENDING, to indicate that we
	 * shouldn't try reading from the input source any more.  We might
	 * still have a bunch of tokens to match, though, because of
	 * possible backing-up.
	 *
	 * When we actually see the EOF, we change the status to "new"
	 * (via yyrestart()), so that the user can continue scanning by
	 * just pointing yyin at a new input file.
	 */
#define YY_BUFFER_EOF_PENDING 2

	};
#endif /* !YY_STRUCT_YY_BUFFER_STATE */

/* Stack of input buffers. */
static size_t yy_buffer_stack_top = 0; /**< index of top of stack. */
static size_t yy_buffer_stack_max = 0; /**< capacity of stack. */
static YY_BUFFER_STATE * yy_buffer_stack = NULL; /**< Stack as an array. */

/* We provide macros for accessing buffer states in case in the
 * future we want to put the buffer states in a more general
 * "scanner state".
 *
 * Returns the top of the stack, or NULL.
 */
#define YY_CURRENT_BUFFER ( (yy_buffer_stack) \
                          ? (yy_buffer_stack)[(yy_buffer_stack_top)] \
                          : NULL)
/* Same as previous macro, but useful when we know that the buffer stack is not
 * NULL or when we need an lvalue. For internal use only.
 */
#define YY_CURRENT_BUFFER_LVALUE (yy_buffer_stack)[(yy_buffer_stack_top)]

/* yy_hold_char holds the character lost when yytext is formed. */
static char yy_hold_char;
static int yy_n_chars;		/* number of characters read into yy_ch_buf */
int yyleng;

/* Points to current character in buffer. */
static char *yy_c_buf_p = NULL;
static int yy_init = 0;		/* whether we need to initialize */
static int yy_start = 0;	/* start state number */

/* Flag which is used to allow yywrap()'s to do buffer switches
 * instead of setting up a fresh yyin.  A bit of a hack ...
 */
static int yy_did_buffer_switch_on_eof;

void yyrestart ( FILE *input_file  );
void yy_switch_to_buffer ( YY_BUFFER_STATE new_buffer  );
YY_BUFFER_STATE yy_create_buffer ( FILE *file, int size  );
void yy_delete_buffer ( YY_BUFFER_STATE b  );
void yy_flush_buffer ( YY_BUFFER_STATE b  );
void yypush_buffer_state ( YY_BUFFER_STATE new_buffer  );
void yypop_buffer_state ( void );

static void yyensure_buffer_stack ( void );
static void yy_load_buffer_state ( void );
static void yy_init_buffer ( YY_BUFFER_STATE b, FILE *file  );
#define YY_FLUSH_BUFFER yy_flush_buffer( YY_CURRENT_BUFFER )

YY_BUFFER_STATE yy_scan_buffer ( char *base, yy_size_t size  );
YY_BUFFER_STATE yy_scan_string ( const char *yy_str  );
YY_BUFFER_STATE yy_scan_bytes ( const char *bytes, int len  );

void *yyalloc ( yy_size_t  );
void *yyrealloc ( void *, yy_size_t  );
void yyfree ( void *  );

#define yy_new_buffer yy_create_buffer
#define yy_set_interactive(is_interactive) \
	{ \
	if ( ! YY_CURRENT_BUFFER ){ \
        yyensure_buffer_stack (); \
		YY_CURRENT_BUFFER_LVALUE =    \
            yy_create_buffer( yyin, YY_BUF_SIZE ); \
	} \
	YY_CURRENT_BUFFER_LVALUE->yy_is_interactive = is_interactive; \
	}
#define yy_set_bol(at_bol) \
	{ \
	if ( ! YY_CURRENT_BUFFER ){\
        yyensure_buffer_stack (); \
		YY_CURRENT_BUFFER_LVALUE =    \
            yy_create_buffer( yyin, YY_BUF_SIZE ); \
	} \
	YY_CURRENT_BUFFER_LVALUE->yy_at_bol = at_bol; \
	}
#define YY_AT_BOL() (YY_CURRENT_BUFFER_LVALUE->yy_at_bol)

/* Begin user sect3 */

#define yywrap() (/*CONSTCOND*/1)
#define YY_SKIP_YYWRAP
typedef flex_uint8_t YY_CHAR;

FILE *yyin = NULL, *yyout = NULL;

typedef int yy_state_type;

extern int yylineno;
int yylineno = 1;

extern char *yytext;
#ifdef yytext_ptr
#undef yytext_ptr
#endif
#define yytext_ptr yytext

static yy_state_type yy_get_previous_state ( void );
static yy_state_type yy_try_NUL_trans ( yy_state_type current_state  );
static int yy_get_next_buffer ( void );
static void yynoreturn yy_fatal_error ( const char* msg  );

/* Done after the current pattern has been matched and before the
 * corresponding action - sets up yytext.
 */
#define YY_DO_BEFORE_ACTION \
	(yytext_ptr) = yy_bp; \
	yyleng = (int) (yy_cp - yy_bp); \
	(yy_hold_char) = *yy_cp; \
	*yy_cp = '\0'; \
	(yy_c_buf_p) = yy_cp;
#define YY_NUM_RULES 41
#define YY_END_OF_BUFFER 42
/* This struct is not used in this scanner,
   but its presence is necessary. */
struct yy_trans_info
	{
	flex_int32_t yy_verify;
	flex_int32_t yy_nxt;
	};
static const flex_int16_t yy_accept[1103] =
    {   0,
        0,    0,   42,   40,    1,    1,   40,   10,   40,   10,
       40,   40,   40,   35,   40,   40,   11,   11,   40,   40,
       40,    1,    0,    0,    0,    0,   10,    9,   10,   12,
        0,    0,   10,   10,    0,   11,    0,   35,    4,   34,
        0,    0,   35,   33,   33,   33,   33,   33,   33,   33,
       33,   33,   33,   33,   30,    0,    0,    0,    0,    0,
        0,    0,   39,   11,    0,   11,   11,   11,    8,    7,
        0,    0,    0,    0,    0,    0,    0,   10,   10,   10,
        0,   12,   12,   10,   10,   10,    6,    4,    4,    0,
       33,    0,   21,    0,   33,    0,   18,   19,    0,   33,

        0,   31,    0,   23,    0,   33,    0,   22,   29,    0,
       25,   24,   20,    0,   33,    0,   33,   33,   33,   33,
       33,   33,   33,   33,   33,   33,   33,   33,   33,   33,
       30,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,   11,   11,   11,
       11,   11,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,   10,   10,   10,    0,    0,   12,   12,   10,
       10,   10,    4,    2,   33,   33,   33,   33,   33,   21,
       26,    0,   33,   33,   33,   33,   33,   33,   33,   33,
       18,   19,   33,    0,   33,   33,   33,   33,   33,   33,

       33,   31,   33,   33,   33,   23,   32,    0,   33,   33,
       33,   33,   33,   33,   33,   33,   33,   22,   29,   33,
       33,   33,   33,   33,   24,   20,   27,    0,   33,   33,
       33,   33,   33,   33,   33,   33,   33,   33,   33,   33,
       33,   33,   33,   33,   33,   33,   33,   33,   30,   33,
       33,    5,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,   11,   11,   38,   11,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,   10,    0,    3,   12,   10,    4,    4,   33,

       33,   33,   33,   33,   21,   21,   33,   33,   33,   26,
       33,   33,   33,   33,   33,   33,   33,   33,   33,   18,
       19,   18,   28,    0,   33,   33,   33,   33,   33,   33,
       33,   33,   33,   33,   31,   31,   33,   33,   33,   23,
       23,   33,   33,   33,   32,   33,   33,   33,   33,   33,
       33,   33,   33,   33,   22,   29,   22,   33,   33,   33,
       33,   33,   25,   24,   20,   33,   33,   33,   33,   33,
       33,   33,   33,   33,   33,   33,   33,   33,   33,   33,
       33,   33,   33,   33,   33,   33,   33,   33,   30,   33,
       33,   33,   33,   33,   33,   33,   33,   33,   33,   33,

       33,   33,   33,   33,   33,   33,   33,   33,   33,   33,
       25,   33,   33,   33,   30,   30,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,   14,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,   11,   38,
       38,   38,   38,   37,    0,   11,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
       10,    0,    0,   12,   10,   33,   33,   33,   33,   21,
       21,   21,   21,   33,   33,   33,   26,   33,   33,   33,
       33,   33,   33,   33,   33,   33,   33,   33,   18,   19,

       18,   18,   18,   19,   19,   33,   33,   33,   33,   33,
       33,   33,   33,   33,   33,   33,   33,   33,   33,   33,
       33,   33,   31,   31,   31,   31,   33,   33,   33,   23,
       23,   23,   23,   33,   33,   33,   32,   32,   33,   33,
       33,   33,   33,   33,   33,   33,   33,   33,   33,   22,
       29,   22,   22,   22,   29,   29,   33,   33,   33,   33,
       33,   25,   24,   20,   25,   25,   24,   24,   20,   20,
       33,   33,   33,   27,   33,   33,   33,   33,   33,   33,
       27,   33,   33,   33,   33,   33,   33,   33,   33,   33,
       33,   33,   33,   33,   33,   33,   33,   30,   33,   33,

       33,   25,   33,   27,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,   15,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,   11,   38,   38,   38,
       38,   38,   38,   38,   38,    0,   38,   37,   38,   38,
       11,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,   10,   12,   10,   33,   33,   33,
       33,   21,   21,   33,   33,   33,   26,   26,   26,   33,
       33,   33,   33,   33,   33,   33,   33,   33,   18,   19,
       18,   33,   33,   33,   28,   33,   33,   33,   33,   33,

       33,   28,   33,   33,   33,   33,   33,   28,   33,   33,
       33,   31,   31,   33,   33,   33,   23,   23,   33,   33,
       33,   32,   32,   32,   32,   33,   33,   33,   33,   33,
       33,   33,   33,   33,   22,   29,   22,   33,   33,   33,
       33,   33,   25,   24,   20,   33,   33,   33,   27,   27,
       27,   33,   33,   33,   33,   27,   33,   33,   33,   33,
       33,   33,   33,   33,   33,   33,   33,   33,   33,   33,
       33,   30,   33,   33,   33,   25,   33,   27,    0,   13,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,

        0,    0,   14,    0,    0,    0,    0,   11,   38,   36,
       38,   38,   38,   38,   38,   38,   38,   38,   38,    0,
       38,   38,   37,   38,    0,   11,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,   10,   12,
       10,   33,   33,   33,   21,   21,   33,   33,   33,   26,
       33,   33,   33,   33,   33,   33,   33,   18,   19,   18,
       33,   33,   33,   28,   28,   28,   33,   33,   33,   33,
       33,   33,   33,   33,   28,   33,   33,   31,   31,   33,
       33,   23,   23,   33,   33,   33,   32,   32,   33,   33,
       33,   33,   33,   33,   33,   22,   29,   22,   33,   33,

       33,   33,   25,   24,   20,   33,   33,   33,   27,   33,
       33,   33,   27,   33,   33,   33,   33,   33,   33,   33,
       33,   33,   33,   33,   30,   33,   33,   33,   25,   33,
       27,    0,    0,    0,    0,   13,    0,    0,    0,    0,
        0,    0,    0,   15,    0,    0,    0,    0,    0,   14,
       14,    0,   11,   38,   38,   38,   38,   38,   38,   38,
        0,    0,   38,   38,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,   33,   21,   21,   33,   33,
       26,   33,   18,   19,   18,   33,   33,   33,   28,   33,
       33,   33,   33,   33,   28,   31,   31,   23,   23,   33,

       33,   32,   32,   33,   22,   29,   22,   25,   24,   20,
       33,   33,   27,   33,   27,   16,    0,   13,    0,    0,
        0,    0,    0,   15,   15,    0,    0,   38,   38,   38,
        0,    0,    0,    0,   38,   17,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,   26,   33,   33,
       28,   33,   32,   32,   27,    0,   13,   13,    0,    0,
       38,   38,   38,    0,    0,   38,    0,    0,    0,   17,
        0,    0,    0,    0,    0,    0,    0,   28,    0,   38,
       38,   38,    0,   38,    0,   17,    0,    0,    0,    0,
       38,   38,    0,   38,    0,   17,   17,    0,    0,    0,

        0,    0
    } ;

static const YY_CHAR yy_ec[256] =
    {   0,
        1,    1,    1,    1,    1,    1,    1,    1,    2,    3,
        1,    4,    5,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    6,    7,    8,    9,   10,   11,   10,   12,   13,
       14,   15,   10,   10,   16,   17,   18,   19,   20,   21,
       22,   23,   24,   25,   26,   27,   28,   10,   10,   29,
       30,   31,   10,   32,   33,   34,   35,   36,   37,   38,
       39,   40,   41,   42,   43,   44,   45,   46,   47,   48,
       42,   49,   50,   51,   52,   42,   42,   53,   42,   54,
       10,   55,   10,   10,   42,   10,   56,   57,   58,   59,

       60,   61,   62,   63,   64,   42,   65,   66,   67,   68,
       69,   70,   42,   71,   72,   73,   74,   42,   42,   75,
       42,   76,   10,   77,   10,   78,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,   79,
       79,   79,   79,   79,   79,   79,   79,   79,   79,   79,
       79,   79,   79,   79,   79,   79,   79,   79,   79,   79,
       79,   79,   79,   79,   79,   79,   79,   79,   79,   79,
       79,   79,   79,   79,   79,   79,   79,   79,   79,   79,

       79,   79,   79,   79,   79,   79,   79,   79,   79,   79,
       79,   79,   79,   79,   79,   79,   79,   79,   79,   79,
       79,   79,   79,   79,   79,   79,   79,   79,   79,   79,
       79,   79,   79,   79,   79,   79,   79,   79,   79,   79,
       79,   79,   79,   79,   79,   79,   79,   79,   79,   79,
       79,   79,   79,   79,   79
    } ;

static const YY_CHAR yy_meta[80] =
    {   0,
        1,    2,    3,    3,    3,    2,    2,    4,    2,    2,
        2,    4,    5,    2,    2,    6,    2,    7,    8,    8,
        8,    8,    8,    8,    8,    8,    8,    8,    2,    2,
        2,    2,    9,    9,    9,    9,    9,    9,    9,    9,
        9,    9,    9,    9,    9,    9,    9,    9,    9,    9,
        9,    9,    9,    9,    9,    9,    9,    9,    9,    9,
        9,    9,    9,    9,    9,    9,    9,    9,    9,    9,
        9,    9,    9,    9,    9,    9,    2,    2,    9
    } ;

static const flex_int16_t yy_base[1137] =
    {   0,
        0,    0, 4195, 7110,   78,   83,   88,   87,   78,   85,
       82,   88, 4161,  142, 4151,   90,   86,  206,  259, 4118,
     4083,   98,  234, 4083,   72,  109,  116, 7110,  318,  100,
     4082,  361,  208,  420, 4017,   92,  463,  205, 4024, 7110,
     3977,  222,    0, 3974,  209,   89,  257,  202,  180,  245,
      248,  259,  355,  272, 3955,  524, 3987,   83,  280,  311,
      274,  585, 7110,  117,  637,  348,  210,  697, 7110, 7110,
     3963,  302,  382,  243, 3940, 3933,  371,  251,  356,  757,
     3945,  101,  817,  246,  357,  877, 7110, 3938,  252,  920,
     3894,  974, 3886, 1017,  397,  447, 3861, 3860,  661,  376,

      904, 3850,  721, 3841,  448,  451, 1040, 3840, 3825, 1045,
     3813, 3796, 3787, 1063,  569,  600, 3784, 1137,  484, 1180,
      613, 1221,  748,  380,  566,  347,  591,  907,  654,  462,
     3767, 3789,  118,  559,  779,  633,  593,  588,  628,  782,
      654, 3776,  775, 3775,  802,  772,  682,  336, 1279,  345,
      447, 1322, 3754,  254,  695,  837,  658,  581,  632,  656,
      806, 1012,  456,  862, 1365, 3744,  256,  903, 1408,  278,
      964, 1451, 3730, 7110, 3689, 1511,  839,  751,  790, 3655,
     3633, 1086,  865, 3648, 3645,  868,  812, 3627,  850, 3599,
     3559, 3554,  895,  897,  344, 3587, 3580,  885,  900,  892,

      922, 3526, 1001,  929,  943, 3484, 3483, 1165, 1002, 3500,
     3499, 1037, 1074,  945, 3485,  969, 3476, 3439, 3424, 1096,
     3450,  410, 3442,  438, 3403, 3397, 3396, 1109, 1104, 3416,
     3396,  745, 1554, 1126, 1597, 1199, 1638, 1237, 1696, 1591,
     1451, 1224, 1636, 1495, 1673, 1680, 1762, 1836, 1318, 1740,
     1703, 7110,  573, 1049, 1161, 1158,  970,  987, 1131, 1017,
     1192, 1245, 3385, 3371, 1046, 1269, 1252, 3369, 3358, 1342,
     1600, 1403, 1552, 1788, 1263, 1891, 1796, 1934, 3362, 1868,
     1238, 1307, 1248, 3350, 3304, 1055, 1352, 1779, 1931, 1391,
     1392, 1393, 1983, 3284, 7110, 2026, 2069, 3253,  347,  892,

     2112, 1392, 1108, 1110, 1248, 1488, 1500, 3239, 3204, 3174,
     1541, 3194, 3177, 2112, 1624, 1119, 3145, 1176, 3142, 1861,
     1873, 1878, 3104, 1704, 1607, 3071, 2999, 1394, 2951, 2939,
     1979, 1503, 1180, 1209, 1896, 1901, 1669, 1259, 1273, 1936,
     1971, 1707, 1278, 1296, 2904, 1691, 2927, 2900, 2022, 1731,
     1336, 2867, 1403, 2856, 1994, 2027, 2063, 1753, 2851,  716,
     2848,  950, 2068, 2106, 2117, 1786, 2836, 2831, 1793, 2833,
     2795, 2150, 2191, 1807, 2234, 2138, 2275, 2156, 2333, 2228,
     2237, 2273, 2344, 2358, 2367, 2378, 2449, 2523, 2189, 2433,
     2413, 1498, 2121, 2020, 2269, 2451, 1769, 2278, 1797, 2271,

     1426, 1684, 1625, 2322, 1465, 2311, 2342, 2464, 2148, 2457,
     2261, 1528, 2388, 2423, 2759, 1179, 1347, 2149, 2296, 2245,
     2683, 2676, 1875, 1831, 2535, 2548, 1910, 2480, 2177, 2645,
     2637, 2383, 2555, 7110, 2446, 2468, 2600, 2595, 2508, 2546,
     2570, 2561, 2456, 2552, 2533, 2540, 1981, 2561, 2614, 2651,
     2674,  741,  457, 7110, 2729, 2807, 2597,  661, 2134, 2596,
     2579, 1548, 1591, 2330, 2405, 2814, 2604, 1589, 2641,   97,
     2882, 2584,  771, 2942, 3003, 3046, 2605, 1637, 1675, 2688,
     2695, 2537, 1235, 2639, 2556, 2555, 2710, 2662, 2543, 2538,
     2819, 1925, 2402, 2684, 1849, 2508, 1979, 2507, 2715, 2720,

     2844, 2463, 1448, 2462, 1598, 2832, 2475, 2463, 2837, 2420,
     2412, 2894, 2582, 2374, 2365, 3042, 2023, 2628, 2816, 2853,
     2025, 2109, 2889, 2919, 2312, 1614, 2857, 2229, 2270, 2929,
     3047, 2262, 1615, 2931, 2423, 2439, 3052, 3083, 3071, 2289,
     2269, 3106, 2300, 2407, 3094, 2461, 2233, 2530, 2232, 3119,
     3124, 3129, 2191, 1714, 2183, 1734, 3117, 2186, 1033, 2175,
     1110, 3142, 3147, 3152, 2135, 1803, 2132, 2181, 2103, 2338,
     3076, 2090, 2077, 3160, 3148, 2035, 2003, 3172, 3132, 3134,
        0, 3213, 1864, 3230, 3173, 3254, 3181, 3312, 3378, 3437,
     3511, 3581, 3656, 3723, 3785, 3859, 3933, 3219, 3988, 4050,

     3236, 2813, 3269, 2888, 2606, 2901, 3277, 3160, 2608, 2666,
     3251, 3162, 3338, 3190, 2881, 3264, 7110, 3191, 3285, 1994,
     1985, 2987, 3302, 3350, 3326, 3303, 3358, 3340, 1965, 1964,
     3341, 3369, 3367, 3038, 3373, 3009, 4107, 3394, 1039, 3416,
     4166,  696, 4225, 3442, 3463, 3481, 3497, 3517, 4285, 4346,
     4407, 3059, 3408, 3193, 1957, 1942, 3295, 3430, 3539, 3544,
     3283, 2258, 3485,  311, 4467, 4510, 4553, 4596,  590, 2669,
     3080, 3327, 3553, 3451, 1920, 1919, 3559, 1876, 2372,  805,
     1897, 1896, 3572, 3260, 3261, 1801, 3311, 1794, 3565, 3614,
     3619, 3505, 1764, 1751, 3626, 3572, 1712, 1704, 3635, 3537,

     3597,    0,  842, 1683, 1668, 3640, 3543,    0,  962, 3354,
     3355, 3645, 3661, 1143, 3420, 3436, 3672, 3681, 3673, 3477,
     3547, 3701, 3710, 1613, 2478, 1302, 1608, 1607, 3716, 3707,
     3553, 1605, 3554, 1537, 3732, 3737, 3748, 3732, 1529, 1796,
     1502, 1830, 3762, 3770, 3777, 3774, 1498, 1459, 3798, 1394,
     3135, 1339, 1384, 1374, 3811,    0, 4639, 3784, 1740, 3822,
     2122, 3822, 3869, 3895, 3916, 3941, 3970, 3978, 3995, 4699,
     4002, 3880, 4083, 4105, 3722,    0, 3634,    0, 1410, 7110,
     3904, 3810, 1349, 1342, 3782, 3868, 4066, 4635, 3883, 3654,
     3856, 1427, 3908, 1333, 1308, 3944, 4176, 3996, 3768, 3982,

     1575, 4001, 4071, 4011, 3853, 4024, 1763, 4756, 4088, 7110,
     1487, 3423, 4816,  896, 3208, 4876, 4262, 4444, 4919, 4504,
     4547, 4591, 4677, 4979, 5040, 5101, 3896, 4040, 4023, 1274,
     1266, 3798, 4080, 4509, 4041, 4065, 4639, 1821, 4709, 5144,
     5187, 5230, 3632, 3726, 4208, 4213, 2076, 1260, 1207, 4231,
     1176, 1123, 4793, 3760, 1108, 3762, 1099, 4236, 4322, 4327,
     4093, 1043, 1038, 4332,  994, 3434, 2212, 1028, 1002, 4913,
      992,  951, 4552, 3833,    0, 3946, 3953, 4474, 4479, 4041,
     4059, 4645, 4716, 2284, 4091, 4106, 4721, 4733,  929,  840,
     4919, 4115,  838, 4116,  837, 4738, 4743, 4756,  811, 2240,

      777, 3157, 4763, 4798, 4803, 2371,  745,  718, 4823,  658,
      646, 5138,    0, 4956, 5225, 5181, 5269, 5279, 5291, 5296,
     5303, 5315, 5386, 5143, 5350, 5369, 5375, 5394, 5408, 5448,
     5413,  642, 4130,  618,  583, 7110, 4253, 5467, 4134, 4243,
     5276, 2587, 4250, 4854, 4277, 4128, 4675, 2903, 4432, 7110,
      526, 2948, 4859, 1544, 4963, 5522, 1357, 3705, 5565, 5608,
     5472, 5669, 5477, 5730, 4466, 5171, 4581,  508,  493, 4435,
     5496, 4865, 4634, 5275, 3053, 5506, 5511, 5565,  478,  449,
     4864, 5767, 5602, 5607, 5772, 3203,  451,  445, 4924,  443,
      442, 5777, 5790, 5795, 5805, 5812, 5835, 5853, 5859, 4140,

     4164, 4984, 5017, 5866, 5871, 5876, 5881, 5889, 5894, 5899,
      411,  381, 5022, 5907, 5913, 7110, 4866, 5027, 5214, 4678,
     5521, 3400, 4944, 7110,  370, 3468, 3483, 5950, 5993, 6036,
     5987, 6030, 6096,    0, 6139, 7110, 5502, 5131, 4161, 4218,
     4832, 5304, 6035, 5313, 4441, 5307, 3527, 5992,  344,  285,
     5490, 6133, 6073, 6138, 6176, 5382, 7110,  296, 3629, 3675,
     6213, 6256, 6299, 6199, 6342, 6385, 5403,  237,  230, 7110,
     5415, 6212, 6255, 5439, 3976, 5380, 3852, 6293, 3928, 6428,
     6471, 6514, 6557, 6600, 5441, 5531, 5500, 5100, 5886, 4057,
     6643, 6686, 6729, 5612, 5628, 7110,  133, 4058, 6772, 4181,

     6336, 7110, 6833, 6837, 6846, 6850, 6855, 6864, 6873, 6882,
     6891, 6900,  112, 6904, 6913, 6922, 6931, 6940, 6949, 6958,
     6967, 6976, 6984, 6993, 7002, 7011, 7020, 7029, 7038, 7047,
     7056, 7065, 7074, 7083, 7092, 7100
    } ;

static const flex_int16_t yy_def[1137] =
    {   0,
     1102,    1, 1102, 1102, 1102, 1102, 1102, 1103, 1104, 1105,
     1106, 1102, 1102, 1102, 1102, 1102, 1107, 1107, 1108, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1103, 1102, 1109, 1104,
     1102, 1110, 1105, 1111, 1102, 1107, 1108,   14, 1112, 1102,
     1113, 1102,   14, 1114, 1114, 1114, 1114, 1114, 1114, 1114,
     1114, 1114, 1114, 1114, 1114, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1107, 1115, 1107, 1107, 1107, 1102, 1102,
     1116, 1102, 1102, 1102, 1102, 1102, 1102, 1103, 1103, 1103,
     1117, 1104, 1104, 1105, 1105, 1105, 1102, 1112, 1118,   56,
     1114, 1119, 1114, 1119, 1114,   94, 1114, 1114,   94, 1114,

       94, 1114,   94, 1114,   94, 1114,   94, 1114, 1114,   94,
     1114, 1114, 1114,   94, 1114,   94, 1114, 1114,  118,  118,
      118,  118,  118, 1114, 1114, 1114, 1114, 1114, 1114, 1114,
     1114, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1107,   68, 1107,
     1107,   68, 1116, 1120, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1103, 1103,   80, 1117, 1121, 1104,   83, 1105,
     1105,   86, 1122, 1102, 1114,  118,  176,  176,  176, 1114,
     1114,   94,  176,  176,  176,  176,  176,  176,  176,  176,
     1114, 1114, 1114,   94,  176,  176,  176, 1114,  176,  176,

      176, 1114,  176,  176,  176, 1114, 1114,   94,  176,  176,
      176, 1114,  176,  176,  176,  176,  176, 1114, 1114,  176,
      176,  176,  176,  176, 1114, 1114, 1114,   94,  176,  176,
      176, 1114,  118,  233,  233,  233,  233,  233,  233,  239,
      239,  239,  239,  239,  239,  239,  239,  233,  248,  248,
      239, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1107,   68, 1123,   68, 1124, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102,   80, 1125, 1102,   83,   86, 1122, 1126, 1114,

      176,  301,  301,  301,  301,  301,  176,  176,  176, 1114,
      301,  301,  301,  301,  301,  301,  301,  301,  301,  301,
      301,  301, 1114,   94,  176,  176,  176,  301,  301,  301,
      301,  301,  301,  301,  301,  301,  301,  301,  301,  301,
      301,  176,  176,  176, 1114,  301,  301,  301,  301,  301,
      301,  301,  301,  301,  301,  301,  301,  301,  301,  301,
      301,  301,  301,  301,  301,  176,  176,  176,  301,  301,
      301,  301,  233,  373,  373,  373,  373,  373,  373,  379,
      379,  379,  379,  379,  379,  379,  379,  373,  388,  388,
      379, 1114, 1114, 1114, 1114,  373, 1114, 1114, 1114, 1114,

     1114, 1114, 1114, 1114, 1114, 1114, 1114, 1114, 1114, 1114,
      373, 1114, 1114,  373, 1114, 1114, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,  276, 1123,
     1123, 1127, 1128, 1102, 1102,  276, 1129, 1130, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1131, 1132, 1133, 1102,   86,  301,  476,  476,  476,  476,
      476, 1114, 1114,  301,  301,  301,  301,  476,  476,  476,
      476, 1114, 1114,  476,  476,  476,  476,  476,  476,  476,

      476, 1114, 1114, 1114, 1114,  176,  176,  176,  301,  301,
      301,  301,  476,  476,  476,  476, 1114, 1114,  476,  476,
      476,  476,  476,  476, 1114, 1114,  476,  476,  476,  476,
      476, 1114, 1114,  301,  301,  301,  301,  301,  476,  476,
      476,  476, 1114, 1114,  476,  476,  476,  476,  476,  476,
      476,  476, 1114, 1114, 1114, 1114,  476,  476,  476,  476,
      476,  476,  476,  476, 1114, 1114, 1114, 1114, 1114, 1114,
      301,  301,  301,  301,  476,  476,  476,  476, 1114, 1114,
      476,  373,  582,  582,  582,  582,  582,  582,  582,  582,
      582,  582,  582,  582,  590,  590,  582,  582,  582,  590,

      582,  582,  582,  582, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102,  276, 1102, 1127, 1102,
     1134, 1128, 1135, 1123, 1123, 1102, 1123, 1123, 1123, 1102,
      456, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1131,  474,  475,  476,  668,  668,
      668,  668,  668,  476,  476,  476,  476, 1114, 1114,  668,
      668,  668,  668,  668,  668,  668,  668,  668,  668,  668,
      668,  301,  301,  301,  301,  476,  476,  476,  476, 1114,

     1114,  476,  668,  668,  668,  668,  668,  668,  668,  668,
      668,  668,  668,  668,  668,  668,  668,  668,  476,  476,
      476,  476,  476, 1114, 1114,  668,  668,  668,  668,  668,
      668,  668,  668,  668,  668,  668,  668,  668,  668,  668,
      668,  668,  668,  668,  668,  476,  476,  476,  476, 1114,
     1114,  668,  668,  668,  668,  668,  582,  757,  757,  757,
      757,  757,  757,  757,  757,  757,  757,  757,  757,  757,
      757,  757,  757,  757,  757,  757,  757,  757, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,

     1102, 1102, 1102, 1102, 1102, 1102, 1102,  276, 1102, 1102,
     1127, 1127, 1127, 1128, 1128, 1128, 1123, 1123,  649, 1136,
     1136, 1123, 1136,  649, 1102,  651, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1131,  474,
      475,  668,  842,  842,  842,  842,  668,  668,  668,  668,
      842,  842,  842,  842,  842,  842,  842,  842,  842,  842,
      476,  476,  476,  476, 1114, 1114,  668,  668,  668,  668,
      842,  842,  842,  842,  842,  842,  842,  842,  842,  842,
      842,  842,  842,  668,  668,  668,  668,  668,  842,  842,
      842,  842,  842,  842,  842,  842,  842,  842,  842,  842,

      842,  842,  842,  842,  842,  668,  668,  668,  668,  842,
      842,  842,  842, 1114, 1114, 1114, 1114, 1114, 1114, 1114,
     1114, 1114, 1114, 1114, 1114, 1114, 1114, 1114, 1114, 1114,
     1114, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102,  826, 1127, 1127,  813, 1128, 1128,  816,  649,
     1136, 1102, 1136,  824, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1114, 1114, 1114,  842,  842,
      842, 1114, 1114, 1114, 1114,  668,  668,  668,  668,  842,
      842,  842, 1114, 1114, 1114, 1114, 1114, 1114, 1114,  842,

      842,  842,  842, 1114, 1114, 1114, 1114, 1114, 1114, 1114,
      842,  842,  842, 1114, 1114, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102,  813,  816,  649,
     1136, 1136, 1136,  962,  824, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1114,  842,  842,
      842, 1114, 1114, 1114, 1114, 1102, 1102, 1102, 1102, 1102,
      813,  816,  649, 1136, 1033,  824, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1114, 1102,  813,
      816,  649, 1033,  824, 1102, 1102, 1102, 1102, 1102, 1102,
      813,  816, 1033, 1082, 1102, 1102, 1102, 1102, 1033, 1102,

     1136,    0, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102
    } ;

static const flex_int16_t yy_nxt[7190] =
    {   0,
        4,    5,    6,    5,    5,    5,    7,    8,    9,    4,
        4,   10,    4,    4,    4,   11,   12,   13,   14,   14,
       14,   14,   14,   14,   14,   14,   14,   14,   15,    4,
        4,   16,   17,   17,   17,   17,   17,   17,   17,   17,
       17,   17,   17,   17,   17,   17,   17,   17,   17,   17,
       17,   18,   17,   17,   19,   17,   17,   17,   17,   17,
       17,   17,   17,   17,   17,   17,   17,   17,   17,   17,
       17,   17,   17,   18,   17,   17,   20,   21,   17,   22,
       22,   22,   22,   22,   22,   22,   22,   22,   22,   23,
       23,   23,   23,   23,   28,   31,   28,   35,   63,   22,

       22,   22,   22,   22,   63,   24,   38,   38,   38,   38,
       38,   38,   38,   38,   38,   38,   72, 1102, 1102,   75,
       44,   76,  133,   28,   58,   95,   73,   74,   25,   63,
       59,   75,   32,   76,   60, 1096,   37,   61,   72,   34,
       65,   29,   26,   96,   62,  133,   65,   58,   95,   77,
      253,   25,   40,   59,   32,   32,   60,   41,   42,   61,
       43,   43,   43,   43,   43,   43,   43,   43,   43,   43,
       29,   65,   77,  253,   44,   44,   45,   46,   47,   44,
       48,   49,   50,   44,   51,   44,   52,   44,   44,   53,
       54,   55,   44,   44,   44,   44,   56,   44,   44,   45,

       46,   47,   44,   48,   49,   50,   51,   44,   52,   44,
       44,   53,   54,   55,   44,   44,   44,   44,   63,   28,
       44, 1102,   63,   38,   38,   38,   38,   38,   38,   38,
       38,   38,   38,  102,  103,   23,   23,   23,   23,   23,
       38,   38,   38,   38,   38,   38,   38,   38,   38,   38,
      100,   24, 1086,   93,   66,  102,  101,   28,   28, 1086,
       65,  161,   34,   94,   65,   75,   89,   76,  154,  174,
      167,  280,  100,  295,   25,   93,   66,   68,   68,   68,
       68,   68,   68,   68,   68,   68,   68,  106,   26,   28,
      104,   68,   68,   68,   68,   68,   68,   25, 1057,  105,

       34,   97,  107,  108,  115,   29,  138, 1078,  109,   98,
      106,   99,  104,  110,   68,   68,   68,   68,   68,   68,
       27,   27,   79,   97,  134,  108,  116,  115,  139,  138,
      109,   98,   34,  158,  135,  159,   80,   80,   80,   80,
       80,   80,   80,   80,   80,   80,  134,  136,   63,  155,
       80,   80,   80,   80,   80,   80,  156,  277,   27,   33,
       63,  299,  328,   28,  174,  137, 1078,  329,   28,  330,
      136,  155, 1024,   80,   80,   80,   80,   80,   80,   83,
       83,   83,   83,   83,   83,   83,   83,   83,   83,  111,
       65,  150,  104,   83,   83,   83,   83,   83,   83,   65,

      157,  105,   65, 1055,  158,  112,  159,  113,  193,  114,
       29,   34,  111,  150,  104,   72,   83,   83,   83,   83,
       83,   83,   33,   33,   85,   73,  160,  112,  100,  113,
      194,  193,  364, 1055,  101,  181,  365,   72,   86,   86,
       86,   86,   86,   86,   86,   86,   86,   86,  160,   67,
      100,  182,   86,   86,   86,   86,   86,   86,  181,   63,
      364, 1052, 1052,   28,  365,  183,  203, 1051,  640,  184,
      204,  185,  205, 1051, 1048,   86,   86,   86,   86,   86,
       86,   68,   68,   68,   68,   68,   68,   68,   68,   68,
       68,  175,  175,  206,  115,   68,   68,   68,   68,   68,

       68,   65,  234, 1048,  207,  208,  234,  234,  234,  234,
       29,  643, 1043,  175,  175,  206,  116,  115,   68,   68,
       68,   68,   68,   68,  117,  117,  207, 1043,  950,  117,
      117,  117,  117,  117,  117,  117,  117,  117,  117,  117,
      117,  117,  118,  119,  119,  119,  120,  121,  122,  123,
      119,  119,  117,  117,  117,  117,  119,  119,  119,  119,
      119,  119,  124,  125,  126,  117,  127,  117,  128,  117,
      117,  129,  130,  131,  117,  117,  117,  117,  117,  119,
      119,  119,  119,  119,  119,  124,  125,  126,  127,  117,
      128,  117,  117,  129,  130,  131,  117,  117,  117,  117,

      117,  117,  117,  140,  227, 1018,  254,  141,  142,  143,
      144,  262,  843,  255,  844,  263,  288,  264,  229,  102,
      103,  417,  230,  228,  231,  145,  265,  227,  254,  146,
      106,  247,  147,  248,  249,  234,  234,  234,  234,  288,
     1018,  102,  266,  417,  175,  107,  267, 1016,  145,  265,
      268,  146,  269,  106,  147,  149,  149,  149,  149,  149,
      149,  149,  149,  149,  149, 1014,  175,  289,  260,  149,
      149,  149,  149,  149,  149,  458,  287, 1014,  280,  186,
      158,  271,  159,  187,  188,  189,  190,  261,  111,  272,
      289,  260,  149,  149,  149,  149,  149,  149,   67,   67,

       67,  151,   67,  155,  112,  191,  113,  640,  114,   63,
      156,  111,  272,  192,  138,  152,  152,  152,  152,  152,
      152,  152,  152,  152,  152,  155,  112,  191,  113,  152,
      152,  152,  152,  152,  152,  192,  139,  138,  563,  199,
     1013,  281,  564,  176,  200,  176,  201,  117,  640,  282,
      643,   65,  152,  152,  152,  152,  152,  152,  163,   78,
       78,  164,  163,  281,   28,  175,  247, 1013,  248,  249,
      234,  234,  234,  234,  202,  165,  165,  165,  165,  165,
      165,  165,  165,  165,  165,  473,  305,  175,  295,  165,
      165,  165,  165,  165,  165,  641,  202,  256, 1008,   92,

      270,  257,  271,  258,  141,  142,  143,  144,  136,  305,
      274,   29,  165,  165,  165,  165,  165,  165,   82,   82,
       82,  168,   82,  259,  290,  306,  137,  851,   75,  852,
       76,  136, 1008,  274, 1102,  169,  169,  169,  169,  169,
      169,  169,  169,  169,  169,  259,  134,  320,  306,  169,
      169,  169,  169,  169,  169,  283,  135,  302, 1006, 1006,
      284,  303,  285,  304,   78,  871, 1004,  872,  134,   28,
      320,   32,  169,  169,  169,  169,  169,  169,  170,   84,
       84,  171,  170,  311,  286,  322,  315,  312,   28,  313,
      316,  317,  318,  319,  175,  172,  172,  172,  172,  172,

      172,  172,  172,  172,  172,   82,  286,  640,  322,  172,
      172,  172,  172,  172,  172,  325,   29,  193,  332,  326,
     1102,  327,  195,  333,  335,  334,  176,  196,  176,  197,
      323,   34,  172,  172,  172,  172,  172,  172,  119,  194,
      193,  175,  119,  119,  119,  119,   92,  335,  175,  324,
      643,  108,  198,  323,  336, 1004,  109,   32,  117,  117,
      117,  110,  117,  175,  117,  340,   84,  117,  117,  117,
      175,  993,  563,  108,  198,   28,  564,  336,  109,  341,
      355,  117,  117,  117,  117,  876,  117,  877,  340,  117,
      117,  117,  176,  176,  176,  176,  176,  176,  176,  176,

      176,  176,  341,  355,  357,  425,  176,  176,  176,  176,
      176,  176,  993,  291,  291,  291,  292,  291,   34,  337,
      346,  992,  426,  338,  347,  339,  348,  357,  425,  176,
      176,  176,  176,  176,  176,  177,  176,  176,  176,  178,
      176,  179,  176,  176,  176,  426,  640,  992,   92,  176,
      176,  176,  176,  176,  176,  744,   72,  427,  209,  745,
      989,  180,  210,  213,  211,  989,   73,  214,  215,  216,
      217,  428,  176,  176,  176,  176,  176,  176,   72,  212,
      427,  220,  434,  180,  175,  221,  222,  223,  224,  218,
      207,  208,  350,  641,  219,  418,  351,  352,  353,  354,

      435,  281,  212,  419,  307,  434,  175,  175,  308,  282,
      309,  218,  207,  225,  358,  226,  219,  418,  359,  360,
      361,  362,  369,  281,  310,  984,  370,  366,  371,  175,
      175,  367,  744,  368,  984,  225,  745,  226,  117,  117,
      117,  232,  117,  480,  374,  481,  982,  310,  374,  374,
      374,  374,  175,  175,  499,  233,  234,  234,  234,  235,
      236,  237,  238,  234,  234,  880,  480,  881,  481,  234,
      234,  234,  234,  234,  234,  175,  424,  499,  254,  420,
      257,  415,  258,  342,  421,  255,  422,  176,  343,  176,
      344,   92,  234,  234,  234,  234,  234,  234,  234,  982,

      254,  239,  240,  241,  234,  242,  243,  244,  423,  175,
      429,  501,  523,  245,  430,  246,  431,  387,  345,  388,
      389,  374,  374,  374,  374,  399,  399,  399,  400,  399,
      423,  175,  981,   92,  501,  523,  245,  482,  246,  234,
      345,  524,  239,  240,  241,  234,  242,  243,  244,  482,
      482,  482,  483,  482,  250,  387,  251,  388,  389,  374,
      374,  374,  374,  432,  524,  148,  465,  263,   91,  264,
      440,  284,  100,  285,  268,   63,  269,  250,  101,  251,
      148,  148,  148,  275,  148,  981,  459,  436,  971,   92,
       91,  437,  460,  438,  100,  530,  971,  276,  276,  276,

      276,  276,  276,  276,  276,  276,  276,  439,  459,  531,
      537,  276,  276,  276,  276,  276,  276,   65,  530,  415,
      415,  415,  416,  415,  889,  461,  890,  944,  538,  462,
      439,  463,  531,  537,  276,  276,  276,  276,  276,  276,
      278,  278,  278,  278,  278,  278,  278,  278,  278,  278,
      374,  538,  944,  464,  278,  278,  278,  278,  278,  278,
      442,  910,  938,  911,  141,  142,  143,  144,  640,  938,
      467,  550,   92,  374,  158,  464,  159,  278,  278,  278,
      278,  278,  278,  293,  293,  293,  293,  293,  293,  293,
      293,  293,  293,  912,  550,  291,  605,  293,  293,  293,

      293,  293,  293,  912,  445,  445,  445,  446,  445,  470,
      477,  643,  513,   75,  478,   76,  479,  514,  605,  515,
      293,  293,  293,  293,  293,  293,  296,  296,  296,  296,
      296,  296,  296,  296,  296,  296,   72,   72,  552,  136,
      296,  296,  296,  296,  296,  296,   73,   73,   92,  257,
      502,  258,  397,  397,  397,  398,  397,  137,   72,   72,
      932,  552,  136,  296,  296,  296,  296,  296,  296,  297,
      297,  297,  297,  297,  297,  297,  297,  297,  297,  102,
      103,  909,  932,  297,  297,  297,  297,  297,  297,  482,
      482,  482,  483,  482,  640,   97,  403,  403,  403,  404,

      403,  102,   92,   98,  106,   99,  297,  297,  297,  297,
      297,  297,  175,  175,  175,  300,  175,   97,  484,  107,
      909,  520,  485,  903,  486,   98,  521,  106,  522,  301,
      301,  301,  301,  301,  301,  301,  301,  301,  301,   91,
      104,  641,   93,  301,  301,  301,  301,  301,  301,  105,
      903,  640,   94,  447,  447,  447,  448,  447,  897,  488,
      115,   91,  104,  489,   93,  490,  301,  301,  301,  301,
      301,  301,  373,  374,  374,  374,  375,  376,  377,  378,
      374,  374,  116,  115,  138,  659,  374,  374,  374,  374,
      374,  374,  394,  394,  394,  395,  394,  263,  641,  264,

      504,  443,  443,  443,  444,  443,  139,  138,  659,  374,
      374,  374,  374,  374,  374,  374,  525,  532,  379,  380,
      381,  374,  382,  383,  384,  509,  897,  396,  660,  510,
      385,  511,  386,  891,  891,   91,  155,  401,  401,  401,
      402,  401,  494,  156,  134,   96,  495,  496,  497,  498,
      396,  660,   92,  385,  135,  386,  374,   91,  155,  379,
      380,  381,  374,  382,  383,  384,  134,   92,   92,   92,
      104,  390,  672,  391,  405,  405,  405,  406,  405,  105,
       91,  407,  407,  407,  408,  407,  401,  527,  873,  102,
      103,  528,  104,  529,  390,  672,  391,  392,  392,  392,

      393,  392,   91,  873,  407,  407,  407,  408,  407,  539,
      673,  102,  106,  540,  374,  541,  553,   91,  374,  374,
      374,  374,  506,  870,  108,  534,  507,  107,  508,  109,
      535,  870,  536,  673,  110,  106,  555,  102,  103,   91,
       93,  405,  405,  405,  406,  405,  108,  108,  175,  545,
       94,  109,  109,  546,  547,  548,  549,  110,  923,  102,
      924,  925,   93,  409,  409,  409,  410,  409,   92,  108,
      175,  557,  374,  864,  109,  558,  559,  560,  561,  106,
      468,  468,  468,  469,  468,  268,  864,  269,   92,  445,
      445,  445,  446,  445,  107,  374,  411,  450,  450,  450,

      450,  450,  106,  452,  571,  565,   91,  453,  572,  454,
      573,  575,  112,   97,  113,  576,  114,  577,  904,  411,
      859,   98,  905,   99,  136,  583,  155,  859,   91,  583,
      583,  583,  583,  156,  112,   97,  113,  412,  412,  412,
      413,  412,  137,   98,  284,  100,  285,  136,  155,  614,
      455,  101,  904,  257,  374,  258,  905,   92,  374,  374,
      374,  374,  502,  502,  502,  503,  502,  100,  414,   23,
       23,   23,   23,   23,  504,  504,  504,  505,  504,  502,
      502,  502,  503,  502,  689,   24,  757,  757,  757,  757,
      116,  414,  148,  148,  148,  275,  148,  525,  525,  525,

      526,  525,  525,  525,  525,  526,  525,  689,   25,  449,
      449,  449,  449,  449,  449,  449,  449,  449,  449,  853,
      853,  418,   26,  449,  449,  449,  449,  449,  449,  419,
       92,   25,  468,  468,  468,  469,  468,  532,  532,  532,
      533,  532,  617,  418,  850,  850,  449,  449,  449,  449,
      449,  449,  456,  456,  456,  456,  456,  456,  456,  456,
      456,  456,  834,  181,  618,  617,  456,  456,  456,  456,
      456,  456,  532,  532,  532,  533,  532,  834,  155,  182,
      517,  517,  517,  518,  517,  156,  181,  803,  803,  456,
      456,  456,  456,  456,  456,  553,  553,  553,  554,  553,

      155,  471,  471,  471,  471,  471,  471,  471,  471,  471,
      471,  519,  797,  138,  691,  471,  471,  471,  471,  471,
      471,  797,  755,  543,  543,  543,  544,  543,  555,  555,
      555,  556,  555,  194,  519,  139,  138,  691,  471,  471,
      471,  471,  471,  471,  474,  474,  474,  474,  474,  474,
      474,  474,  474,  474,  755,  193,   95,  712,  474,  474,
      474,  474,  474,  474,  553,  553,  553,  554,  553,  565,
      565,  565,  566,  565,   96,  207,  208,  194,  193,   95,
      712,  474,  474,  474,  474,  474,  474,  475,  475,  475,
      475,  475,  475,  475,  475,  475,  475,  207,  979,  749,

      980,  475,  475,  475,  475,  475,  475,  567,  567,  567,
      568,  567,  749,  492,  492,  492,  493,  492,  569,  569,
      569,  570,  569,  392,  475,  475,  475,  475,  475,  475,
      476,  476,  476,  476,  476,  476,  476,  476,  476,  476,
      923,  713,  924,  925,  476,  476,  476,  476,  476,  476,
      181,  579,  579,  579,  580,  579,  596,   92,  597,  598,
      583,  583,  583,  583,  713,   93,  182,  476,  476,  476,
      476,  476,  476,  181,  596,   94,  597,  598,  583,  583,
      583,  583,  111,  567,  652,  581,   92,   93,  653,   92,
      415,  415,  415,  416,  415,  623,  743,  606,  112,  430,

      113,  431,  114,  607,  228,  111,  652,  743,  581,  582,
      583,  583,  583,  584,  585,  586,  587,  583,  583,  606,
      112,  583,  113,  583,  583,  583,  583,  583,  583,  394,
      394,  394,  395,  394,  990,   92,  991,   92,  397,  397,
      397,  398,  397,   92,  583,   92,  583,  583,  583,  583,
      583,  583,  583,  736,  736,  588,  589,  590,  583,  591,
      592,  593, 1009,  612,  601,  717, 1010,  594,  421,  595,
      422,  394,   91,  399,  399,  399,  399,  400,  399,  583,
      397,   97,   96,  583,  583,  583,  583,  601,  717,   98,
      594,   99,  595,  583,   91,  729,  588,  589,  590,  583,

      591,  592,  593,   97,  281,   95,  718, 1000,  599, 1001,
      600,   98,  282,  405,  608,  729,   92,   91,  609,  100,
      610,  100,   97,   96,  403,  101,  281,  101,   95,  718,
       98,  599,   99,  600,  392,  392,  392,  393,  392,   91,
      569,  100,  611,  100,   97,  401,  401,  401,  402,  401,
      106,  583,   98,  207,  208,  583,  583,  583,  583,  403,
      403,  403,  404,  403,  611,  107,   92,  104,  405,  405,
      405,  406,  405,  106,  678,  207,  105,   93,  459,  407,
      407,  407,  408,  407,  460,  706,  108,   94,   91,  104,
      412,  109,   92, 1011,  706, 1012,  110,  102,  103,   93,

      459,  625,   91,  104,  492,  263,  106,  264,  108,  543,
       91,   91,  105,  109,  407,  407,  407,  408,  407,  102,
      115,  107,  108,  661,   91,  104,   92,  109,  284,  106,
      285,  699,  110,   91,  405,  405,  405,  406,  405,  699,
      181,  583,  116,  115,  108,  583,  583,  583,  583,  109,
      409,  409,  409,  410,  409,  722,  182,  108,  604,  409,
      207,  208,  109,  181,  628,  583,  407,  110,  629,  583,
      630,  723,  106,  583,  583,  583,  583,  228,  722,  108,
      724,  604,  207,  602,  109,  695,  631,  107,  583,  181,
      437,  111,  438,   91,  723,  106,  735,  695,  619,  112,

      134,  113,  620,  114,  621,  182,  602,  112,  108,  113,
      135,  114,  181,  109,  111,   91,   92,   92,  110,  735,
      622,  112,  134,  113,  412,  412,  412,  413,  412,  112,
      108,  113,   92,  690,  690,  109,  615,  615,  615,  616,
      615,  583,  445,  622,  434,  583,  583,  583,  583,  615,
      615,  615,  616,  615,  443,  603,  626,  626,  626,  627,
      626,  683,  435,  447,  633,  737,  683,  434,  268,  136,
      269,  634,  634,  634,  635,  634,  136,  116,  603,  636,
      677,  677,  254,  141,  142,  143,  144,  137,  737,  255,
      260,   92,  136,  138,  137,  254,  134,  658,  473,  136,

      703,  462,  255,  463,  254,  704,  135,  705,  265,  261,
      421,  458,  422,  260,  654,  139,  138,  254,  134,  655,
      632,  656,  664,  669,  266,  632,  158,  670,  159,  671,
      517,  265,  637,  637,  637,  637,  637,  637,  637,  637,
      637,  637,  779,  468,  657,  787,  637,  637,  637,  637,
      637,  637,  450,  450,  450,  450,  450,  674,  452,  624,
      193,  675,  453,  676,  454,  779,  657,  624,  787,  637,
      637,  637,  637,  637,  637,  638,  638,  638,  638,  638,
      680, 1102,  194,  193,  681, 1102,  682,  454,  155,  482,
      482,  482,  483,  482,  613,  156,  482,  482,  482,  483,

      482,  613,  684,  788,  845,  455,  685,  686,  687,  688,
      155,  678,  678,  678,  679,  678,  502,  502,  502,  503,
      502,  504,  504,  504,  505,  504,  788,  845,  455,  644,
      645,  646,  646,  646,  645,  647,  644,  647,  647,  647,
      644,  644,  648,  647,  647,  647,  647,  649,  649,  649,
      649,  649,  649,  649,  649,  649,  649,  647,  647,  647,
      647,  649,  649,  649,  649,  649,  649,  647,  647,  647,
      647,  647,  647,  647,  647,  647,  647,  647,  647,  647,
      647,  647,  647,  650,  649,  649,  649,  649,  649,  649,
      647,  647,  647,  647,  647,  647,  647,  647,  647,  647,

      647,  647,  647,  647,  647,  647,  647,  647,   67,   67,
       67,  151,   67,   92,  578,  662,  662,  662,  663,  662,
      492,  492,  492,  493,  492,  651,  651,  651,  651,  651,
      651,  651,  651,  651,  651,  757,  757,  757,  757,  651,
      651,  651,  651,  651,  651,  502,  502,  502,  503,  502,
      692,  708,  578,  574,  693,  696,  694,  181,  574,  697,
      281,  698,  651,  651,  651,  651,  651,  651,  282,  562,
      324,  709,  562,  182,  708,  714,  710,  551,  711,  715,
      181,  716,  281,  163,   78,   78,  164,  163,  551,   28,
      525,  525,  525,  526,  525,  700,  700,  700,  701,  700,

      665,  665,  665,  665,  665,  665,  665,  665,  665,  665,
      757,  757,  757,  757,  665,  665,  665,  665,  665,  665,
      525,  525,  525,  526,  525,  430,  542,  431,  254,  702,
      532,  532,  532,  533,  532,  255,   29,  665,  665,  665,
      665,  665,  665,   82,   82,   82,  168,   82,  324,  719,
      254,  780,  702,  542,  720,  781,  721,   30,   92,  516,
      666,  666,  666,  666,  666,  666,  666,  666,  666,  666,
      437,  516,  438,  780,  666,  666,  666,  666,  666,  666,
       30,   30,   30,   30,   30,   30,   30,   30,   30,   30,
       30,   30,   30,   30,   30,   30,   32,  666,  666,  666,

      666,  666,  666,   30,   30,   30,   30,   30,   30,   30,
       30,   30,   30,   30,   30,   30,   30,   30,  512,  617,
       30,  667,  667,  667,  667,  667,  667,  667,  667,  667,
      667,  141,  142,  143,  144,  667,  667,  667,  667,  667,
      667,  618,  617,  517,  517,  517,  518,  517,  532,  532,
      532,  533,  532,  724,  724,  724,  725,  724,  667,  667,
      667,  667,  667,  667,  668,  668,  668,  668,  668,  668,
      668,  668,  668,  668,  707,  462,  265,  463,  668,  668,
      668,  668,  668,  668,  724,  724,  724,  725,  724,  726,
      512,  827,  266,  727,  746,  728,  194,  707,  747,  265,

      748,  668,  668,  668,  668,  668,  668,  543,  543,  543,
      544,  543,  730,  828,  827,  846,  731,  732,  733,  734,
      553,  553,  553,  554,  553,  555,  555,  555,  556,  555,
      553,  553,  553,  554,  553,  738,  579,  750,  846,  739,
      740,  741,  742,  565,  565,  565,  566,  565,  567,  567,
      567,  568,  567,  569,  569,  569,  570,  569,   92,  207,
      208,  750,  750,  750,  751,  750,  752,  227,  500,  227,
      753,  500,  754,  579,  579,  579,  580,  579,  786, 1009,
      789,  207,  609, 1010,  610,  421,  228,  422,  228,   92,
      227,  770,  227,  771,  772,  757,  757,  757,  757,  770,

      491,  771,  772,  757,  757,  757,  757,  756,  792,  793,
      642,  833,  257,  794,  258,  795,  655,  491,  656,  640,
      415,  415,  415,  416,  415, 1049,  228, 1050,   92,  487,
      756,  757,  757,  757,  757,  758,  759,  760,  761,  757,
      757,  757,  757,  757,  757,  757,  757,  757,  757,  757,
      757,  762,  763,  764,  757,  765,  766,  767,  757,  757,
      757,  757,  643,  768,  487,  769,  615,  299,  757,  757,
      757,  757,  757,  757,  181,  762,  763,  764,  757,  765,
      766,  767,  854,  855,  856,  857,  768,  773,  769,  774,
      182,  757,  757,  757,  757,  782,  858,  181,  473,  606,

      783,  838,  784,  796,  778,  607,  284,  620,  285,  621,
      773,  254,  774,  392,  392,  392,  393,  392,  255,  858,
      798,  606,  466,  228,  430,  785,  431,  778,  482,  482,
      482,  483,  482,  254,  757,  757,  757,  757,  260,  790,
      790,  790,  791,  790,  801,  652,  860,  785,  263,  653,
      264,  799,  799,  799,  800,  799,   93,  261,  802,  804,
      626,  260,  629,  437,  630,  438,   94,  652,  466,  860,
      805,  805,  805,  806,  805,  634,  458,  441,   93,  394,
      394,  394,  395,  394,  418,  807,  878,  879,  441,  268,
      427,  269,  419,  260,  433,  638,  638,  638,  638,  638,

      757,  757,  757,  757,  428,  434,  418,  454,  433,  878,
      879,  265,  261,  427,  775,  372,  260,  809,  809,  809,
      809,  809,  609,  435,  610,  639,  829,  266,  434,  810,
      640,  830,   96,  831,  265,  372,  865,  775,  397,  397,
      397,  398,  397,  638,  638,  638,  638,  638,  835, 1102,
       92,   92,  462, 1102,  463,  454,  882,   92,  832,  757,
      757,  757,  757,  363,  638,  638,  638,  638,  638,  847,
     1102,  363,  883,  848, 1102,  849,  454,  641,   92,  882,
      832,   97,  646,  646,  646,  646,  646,  662,   92,   98,
      620,   99,  621,   92,  454,  883,  455,  356,  638,  638,

      638,  638,  638,   97, 1102,  629,  356,  630, 1102,  887,
      454,   98,  399,  399,  399,  400,  399,  455,  638,  638,
      638,  638,  638,  861, 1102,  349,  349,  862, 1102,  863,
      454,  281,  887,  757,  757,  757,  757,   92,   92,  282,
      836,  836,  836,  837,  836,  836,  836,  836,  837,  836,
      655,  455,  656,  281,  482,  482,  482,  483,  482,  100,
      678,  678,  678,  679,  678,  101,  502,  502,  502,  503,
      502,  455,  323,  492,  492,  492,  493,  492,  875,  888,
       92,  100,  401,  401,  401,  402,  401,  459,  896,  898,
      867,  324,  459,  460,  868,  323,  869,  324,  460,  700,

      331,  875,  888,  757,  757,  757,  757,  331,   92,  459,
      181,  896,  898,   92,  459,  504,  504,  504,  505,  504,
      502,  502,  502,  503,  502,  321,  182,  865,  865,  865,
      866,  865,  323,  181,  102,  103,  700,  700,  700,  701,
      700,  517,  517,  517,  518,  517,  525,  525,  525,  526,
      525,  324,  783,  321,  784,  323,  102,  403,  403,  403,
      404,  403,  525,  525,  525,  526,  525,  977,  314,  931,
      708,  314,  874,  532,  532,  532,  533,  532,  757,  757,
      757,  757,  532,  532,  532,  533,  532,   92,  228,  324,
      977,  884,  931,  708,  194,  874,  885,  794,  886,  795,

      418,  104,  724,  724,  724,  725,  724,  814,  419,   92,
      105,  724,  724,  724,  725,  724,  640,  543,  543,  543,
      544,  543,  418,  104,  405,  405,  405,  406,  405,  892,
      893,  894,  895,  553,  553,  553,  554,  553,  555,  555,
      555,  556,  555,   92,  299,  757,  757,  757,  757,  553,
      553,  553,  554,  553,  899,  900,  901,  902,  167,  643,
      181,  978,  106,  565,  565,  565,  566,  565,  154,  207,
      208,  567,  567,  567,  568,  567,  182,  107,  569,  569,
      569,  570,  569,  181,  978,  106,  407,  407,  407,  408,
      407,  207,  906,  273,  273,  983,  907,  985,  908,  750,

      750,  750,  751,  750,  252,  915,  916,  917,  427,  918,
      919,  920,  579,  579,  579,  580,  579,  921,  983,  922,
      985,   92,  428,  392,  392,  392,  393,  392,  937,  108,
      827,  427,  780,  783,  109,  784,  781,   91,   92,  110,
      921,   92,  922,  915,  916,  917,  913,  918,  919,  920,
       92,  108,  828,  827,  780,  926,  109,  927,  790,   91,
      409,  409,  409,  410,  409,  228,   93,   92,  995,  913,
      394,  394,  394,  395,  394,  830,   94,  831,  926,   92,
      927,  415,  415,  415,  416,  415,  939,  324,   93,  434,
      609,  995,  610,  776,   92,   92,  397,  397,  397,  398,

      397,  942,  418,   91,   92,  928,  421,  435,  422,  112,
      419,  113,  434,  114,   92,   92,  776,  399,  399,  399,
      400,  399,  933,   96,  418,   91,  943,  934,  928,  935,
      794,  112,  795,  113,  412,  412,  412,  413,  412,   97,
       92,  965,  401,  401,  401,  402,  401,   98,   92,   99,
      966,  934,   89,  935,  936,  757,  757,  757,  757,  167,
      162,   97,  945,  965,  100,  777,  620,  162,  621,   98,
      101,  403,  403,  403,  404,  403,  936,  154,  996,  405,
      405,  405,  406,  405,  799,  997,  100,  116,  777,  405,
      405,  405,  406,  405,  102,  103,  407,  407,  407,  408,

      407,  996,  132,  412,  412,  412,  413,  412,  997,   92,
      757,  757,  757,  757,  948,  104,  102,  106,  430,  949,
      431,  965,  427,  629,  105,  630,  805,  106,   92,  952,
      966,   90,  107,  437,  930,  438,  428,  104,   89,  108,
      106,  970,  107,  965,  109,  427,  830,   87,  831,  110,
      106,  407,  407,  407,  408,  407,  116,  930,  967,  975,
      434,  108,  968,  462,  969,  463,  109,  940,  940,  940,
      941,  940,  950,  950,  950,  951,  950,  998,  435,  968,
     1039,  969, 1040,  434,  405,  405,  405,  406,  405,  809,
      809,  809,  809,  809,  108,  999,   81,   71,  972,  109,

      998,  810,   91,  655,  110,  656,  407,  407,  407,  408,
      407,  986,   70,  459,  606,  987,  108,  988,  999,  460,
      607,  109,  106, 1002,   91,  808,  808,  808,  808,  808,
      808,  808,  808,  808,  808,  459,  606,  107, 1003,  808,
      808,  808,  808,  808,  808,  106, 1002,   69, 1017,  108,
     1005, 1007, 1022,  934,  109,  935,  609,   57,  610,  110,
      617, 1003,  808,  808,  808,  808,  808,  808,  639,  639,
      812,  108, 1053, 1005, 1007,   39,  109,  946,  946,  946,
      947,  946,  618,  617,  813,  813,  813,  813,  813,  813,
      813,  813,  813,  813, 1102, 1053, 1054, 1072,  813,  813,

      813,  813,  813,  813, 1068, 1102, 1069, 1102,  617,  482,
      482,  482,  483,  482,  482,  482,  482,  483,  482, 1054,
     1072,  813,  813,  813,  813,  813,  813,  642,  642,  815,
      618,  617,  678,  678,  678,  679,  678,  502,  502,  502,
      503,  502, 1102,  816,  816,  816,  816,  816,  816,  816,
      816,  816,  816, 1102, 1073, 1102, 1102,  816,  816,  816,
      816,  816,  816,  638,  638,  638,  638,  638, 1023, 1102,
     1102, 1019,  794, 1102,  795,  454,  783, 1073,  784, 1102,
      816,  816,  816,  816,  816,  816,  817,  817,  817,  818,
      817,  606, 1102, 1102, 1102, 1026, 1102,  607,  454,  620,

     1102,  621, 1102,  819,  819,  819,  819,  819,  819,  819,
      819,  819,  819,  606, 1102, 1102,  455,  819,  819,  819,
      819,  819,  819,  504,  504,  504,  505,  504,  502,  502,
      502,  503,  502,  865,  865,  865,  866,  865, 1102,  455,
      819,  819,  819,  819,  819,  819,  820,  821,  638,  638,
      638,  821,  822,  820,  822,  822,  822,  820,  820,  823,
      822,  822,  822,  822,  824,  824,  824,  824,  824,  824,
      824,  824,  824,  824,  822,  822,  822,  822,  824,  824,
      824,  824,  824,  824,  822,  822,  822,  822,  822,  822,
      822,  822,  822,  822,  822,  822,  822,  822,  822,  822,

      825,  824,  824,  824,  824,  824,  824,  822,  822,  822,
      822,  822,  822,  822,  822,  822,  822,  822,  822,  822,
      822,  822,  822,  822,  822,  826,  826,  826,  826,  826,
      826,  826,  826,  826,  826, 1102, 1102, 1102, 1102,  826,
      826,  826,  826,  826,  826,  638,  817,  638,  638,  638,
     1027, 1102, 1102, 1044,  629, 1102,  630,  454,  830, 1102,
      831, 1102,  826,  826,  826,  826,  826,  826,  163,   78,
       78,  164,  163,  827,   28,  525,  525,  525,  526,  525,
      525,  525,  525,  526,  525,  839,  839,  839,  839,  839,
      839,  839,  839,  839,  839,  828,  827, 1102,  455,  839,

      839,  839,  839,  839,  839,  646,  646,  646,  646,  646,
      973,  973,  973,  974,  973, 1102, 1036,  454, 1102, 1102,
     1037,   29,  839,  839,  839,  839,  839,  839,  840,  840,
      840,  840,  840,  840,  840,  840,  840,  840, 1036, 1102,
     1102, 1102,  840,  840,  840,  840,  840,  840,  638,  638,
      638,  638,  638,  517,  517,  517,  518,  517,  962,  652,
      454, 1102, 1102,  653, 1102,  840,  840,  840,  840,  840,
      840,  841,  841,  841,  841,  841,  841,  841,  841,  841,
      841,  652, 1102, 1102,  994,  841,  841,  841,  841,  841,
      841, 1102,  638,  638,  638,  638,  638, 1102, 1102, 1042,

     1102,  962, 1102,  968,  454,  969,  194,  994,  841,  841,
      841,  841,  841,  841,  842,  842,  842,  842,  842,  842,
      842,  842,  842,  842, 1102, 1102, 1102, 1102,  842,  842,
      842,  842,  842,  842, 1102, 1102,  940,  940,  940,  941,
      940,  836, 1102, 1102, 1102,  455,  532,  532,  532,  533,
      532,  842,  842,  842,  842,  842,  842,  914,  914,  914,
      914,  914,  914,  914,  914,  914,  914, 1102, 1102, 1102,
     1102,  914,  914,  914,  914,  914,  914,  946,  646,  646,
      646,  646,  646,  606,  652, 1102, 1102,  459,  653,  607,
      454, 1102, 1102,  460,  914,  914,  914,  914,  914,  914,

      409,  409,  409,  410,  409,  606,  652,  617, 1102,  459,
      163,   78,   78,  164,  163, 1102,   28,  532,  532,  532,
      533,  532,  724,  724,  724,  725,  724, 1102,  780,  618,
      617,  962,  781,  929,  724,  724,  724,  725,  724,  553,
      553,  553,  554,  553,  555,  555,  555,  556,  555,  112,
      780,  113, 1102,  114, 1102, 1102,  929,  553,  553,  553,
      554,  553, 1102,   29,  565,  565,  565,  566,  565, 1102,
     1102,  112, 1102,  113,  953,  953,  953,  953,  953,  953,
      953,  953,  953,  953, 1102, 1102, 1102, 1102,  953,  953,
      953,  953,  953,  953,  492,  492,  492,  493,  492,  567,

      567,  567,  568,  567,  569,  569,  569,  570,  569, 1102,
     1102,  953,  953,  953,  953,  953,  953,  954,  811,  811,
      955,  954, 1102,  640,  750,  750,  750,  751,  750, 1102,
     1102,  181, 1102, 1102,  956,  956,  956,  956,  956,  956,
      956,  956,  956,  956, 1102, 1102, 1102,  182,  956,  956,
      956,  956,  956,  956,  181, 1024, 1024, 1024, 1025, 1024,
      148,  148,  148,  275,  148,  678,  678,  678,  679,  678,
      641,  956,  956,  956,  956,  956,  956,  957,  814,  814,
      958,  957, 1036, 1047, 1056, 1102, 1037,  640,  655,  934,
      656,  935, 1102, 1102,  959,  959,  959,  959,  959,  959,

      959,  959,  959,  959, 1036, 1102, 1102, 1102,  959,  959,
      959,  959,  959,  959,  700,  700,  700,  701,  700, 1102,
      543,  543,  543,  544,  543,  865,  865,  865,  866,  865,
      643,  959,  959,  959,  959,  959,  959,  960,  960,  960,
      960,  960,  960,  960,  960,  960,  960, 1102,  875, 1102,
     1102,  960,  960,  960,  960,  960,  960,  117,  117,  117,
      232,  117, 1060, 1102, 1102,  811,  794,  324,  795, 1102,
      640,  875,  207,  208,  960,  960,  960,  960,  960,  960,
      821,  821,  821,  963,  821,  724,  724,  724,  725,  724,
     1102, 1102, 1102, 1102,  207, 1102, 1102,  964,  964,  964,

      964,  964,  964,  964,  964,  964,  964, 1102, 1102, 1102,
       92,  964,  964,  964,  964,  964,  964,  641,  724,  724,
      724,  725,  724,  750,  750,  750,  751,  750, 1057, 1057,
     1057, 1058, 1057, 1102,  964,  964,  964,  964,  964,  964,
      644,  645,  646,  646,  646,  645,  647,  644,  647,  647,
      647,  644,  644,  648,  647,  647,  647,  647,  649,  649,
      649,  649,  649,  649,  649,  649,  649,  649,  647,  647,
      647,  647,  649,  649,  649,  649,  649,  649,  647,  647,
      647,  647,  647,  647,  647,  647,  647,  647,  647,  647,
      647,  647,  647,  647,  650,  649,  649,  649,  649,  649,

      649,  647,  647,  647,  647,  647,  647,  647,  647,  647,
      647,  647,  647,  647,  647,  647,  647,  647,  647,   64,
       64,   64,   64,   64,   64,   64,   64,   64,   64, 1102,
     1102, 1102, 1102,   64,   64,   64,   64,   64,   64,  579,
      579,  579,  580,  579,  412,  412,  412,  413,  412, 1071,
     1036, 1102, 1102, 1039, 1037, 1040,   64,   64,   64,   64,
       64,   64,   30,   30,   30,   30,   30,   30,   30,   30,
       30,   30, 1036, 1015, 1102,  115,   30,   30,   30,   30,
       30,   30,  394,  394,  394,  395,  394, 1102, 1102, 1038,
     1102, 1102,  228, 1039, 1102, 1040, 1015,  116,  115,   30,

       30,   30,   30,   30,   30,   33,   33,   33,   33,   33,
       33,   33,   33,   33,   33, 1102, 1041,   95, 1102,   33,
       33,   33,   33,   33,   33, 1102,  392,  392,  392,  393,
      392, 1102, 1059, 1102, 1102,   96, 1102,  783, 1041,  784,
       95, 1102,   33,   33,   33,   33,   33,   33,  976,  976,
      976,  976,  976,  976,  976,  976,  976,  976, 1102, 1102,
     1102, 1102,  976,  976,  976,  976,  976,  976, 1102,   93,
      397,  397,  397,  398,  397, 1102, 1102,  973,  940,   94,
      399,  399,  399,  400,  399,  976,  976,  976,  976,  976,
      976,   93,  401,  401,  401,  402,  401,  403,  403,  403,

      404,  403, 1102, 1102,  405,  405,  405,  406,  405, 1045,
     1102, 1102, 1102,   97, 1102, 1102,  407,  407,  407,  408,
      407,   98, 1074,   99,  606,  652,  968,  100,  969,  653,
      607, 1077, 1102,  101, 1102,   97,  830, 1102,  831,  827,
     1102,  104,  106,   98,  102,  103,  606,  652, 1102,  100,
      105,  415,  415,  415,  416,  415, 1102,  107, 1102,  108,
     1102,  828,  827,  104,  109,  106,  102, 1102, 1102,  110,
      405,  405,  405,  406,  405, 1102,  407,  407,  407,  408,
      407,  108, 1075, 1102, 1102, 1102,  109,  409,  409,  409,
      410,  409, 1102, 1102, 1102,  117,  117,  117,  232,  117,

     1079, 1102, 1102, 1102,   92,  934, 1102,  935,  106,  117,
      117,  117,  232,  117,  117,  117,  117,  232,  117,  108,
      111, 1085, 1102,  107,  109,  965, 1068, 1102, 1069,  110,
     1102,  106,  181, 1087,  966, 1102,  112, 1039,  113, 1040,
      114,  108, 1102,  111, 1102, 1102,  109,  965,  182,  117,
      117,  117,  232,  117, 1102,  181, 1102, 1090,  112, 1095,
      113,  968,   92,  969, 1068, 1102, 1069,   92, 1020, 1020,
     1020, 1021, 1020,  646,  646,  646,  646,  646,  638,  821,
      638,  638,  638,  227, 1102,  454, 1102, 1102, 1102, 1102,
      454,  865,  865,  865,  866,  865, 1102, 1045, 1045, 1045,

     1046, 1045,  228, 1102, 1102, 1102,  227,  175,  175,  175,
      300,  175,  482,  482,  482,  483,  482,  780, 1098, 1102,
     1067,  781, 1039, 1020, 1040, 1068,  962, 1069,  827, 1102,
     1102,  962, 1096, 1096, 1096, 1097, 1096, 1102, 1102,  780,
     1028, 1028, 1028, 1028, 1028, 1028, 1028, 1028, 1028, 1028,
      828,  827, 1070, 1102, 1028, 1028, 1028, 1028, 1028, 1028,
       92, 1102, 1102, 1102, 1102,   92,  482,  482,  482,  483,
      482,  780, 1102, 1102, 1070,  781, 1102, 1028, 1028, 1028,
     1028, 1028, 1028, 1029, 1029, 1029, 1029, 1029, 1029, 1029,
     1029, 1029, 1029,  780, 1102, 1102, 1102, 1029, 1029, 1029,

     1029, 1029, 1029,  502,  502,  502,  503,  502,  504,  504,
      504,  505,  504,  821,  821,  821,  963,  821, 1102,   92,
     1029, 1029, 1029, 1029, 1029, 1029, 1030, 1030, 1030, 1030,
     1030, 1030, 1030, 1030, 1030, 1030, 1102, 1102, 1102, 1102,
     1030, 1030, 1030, 1030, 1030, 1030, 1100, 1102, 1102, 1102,
     1102, 1068, 1102, 1069, 1102, 1102,   92, 1102, 1102, 1102,
     1102,   92, 1102, 1030, 1030, 1030, 1030, 1030, 1030,  820,
     1031,  646,  646,  646, 1031, 1032,  820, 1032, 1032, 1032,
      820,  820,  823, 1032, 1032, 1032, 1032, 1033, 1033, 1033,
     1033, 1033, 1033, 1033, 1033, 1033, 1033, 1032, 1032, 1032,

     1032, 1033, 1033, 1033, 1033, 1033, 1033, 1032, 1032, 1032,
     1032, 1032, 1032, 1032, 1032, 1032, 1032, 1032, 1032, 1032,
     1032, 1032, 1032, 1034, 1033, 1033, 1033, 1033, 1033, 1033,
     1032, 1032, 1032, 1032, 1032, 1032, 1032, 1032, 1032, 1032,
     1032, 1032, 1032, 1032, 1032, 1032, 1032, 1032, 1035, 1035,
     1035, 1035, 1035, 1035, 1035, 1035, 1035, 1035, 1102, 1102,
     1102, 1102, 1035, 1035, 1035, 1035, 1035, 1035,  492,  492,
      492,  493,  492,  502,  502,  502,  503,  502,  700,  700,
      700,  701,  700, 1102, 1102, 1035, 1035, 1035, 1035, 1035,
     1035,  517,  517,  517,  518,  517,  175,  175,  175,  300,

      175, 1102, 1102, 1102, 1102,  181,  175,  175,  175,  300,
      175, 1102,  995,  525,  525,  525,  526,  525, 1102, 1102,
     1102,  182,  193, 1102, 1102, 1102,   92, 1102,  181, 1102,
      323,  324, 1102, 1102, 1102,  995,  525,  525,  525,  526,
      525, 1102, 1102, 1102,  194,  193, 1102, 1102, 1102,  324,
     1102, 1102, 1102,  323,  532,  532,  532,  533,  532,   92,
      532,  532,  532,  533,  532, 1102,   92,  543,  543,  543,
      544,  543,  553,  553,  553,  554,  553,  555,  555,  555,
      556,  555,  553,  553,  553,  554,  553, 1102, 1088,   92,
      565,  565,  565,  566,  565,  567,  567,  567,  568,  567,

      569,  569,  569,  570,  569, 1102, 1102,   92,  579,  579,
      579,  580,  579,   92,  175,  175,  175,  300,  175,  207,
      208, 1102, 1102, 1102, 1102,   92, 1102, 1102, 1102, 1102,
       92, 1102, 1102, 1102, 1102,   92, 1036, 1102, 1102, 1102,
     1037,  207,  227,   92, 1102, 1102, 1102, 1102,   92, 1102,
     1102, 1102, 1102,   92, 1102, 1102, 1102, 1102, 1036, 1102,
     1102,  228, 1102, 1102, 1102,  227, 1102,   92, 1061, 1061,
     1061, 1061, 1061, 1061, 1061, 1061, 1061, 1061, 1102, 1102,
     1102, 1102, 1061, 1061, 1061, 1061, 1061, 1061,  646,  646,
      646,  646,  646,  678,  678,  678,  679,  678, 1102, 1102,

      454, 1102, 1102, 1102, 1102, 1061, 1061, 1061, 1061, 1061,
     1061, 1062, 1062, 1062, 1062, 1062, 1062, 1062, 1062, 1062,
     1062, 1102, 1102, 1102, 1102, 1062, 1062, 1062, 1062, 1062,
     1062,  646,  646,  646,  646,  646, 1075, 1075, 1075, 1076,
     1075,  962, 1102,  454, 1102, 1102,   92, 1102, 1062, 1062,
     1062, 1062, 1062, 1062, 1063, 1063, 1063, 1063, 1063, 1063,
     1063, 1063, 1063, 1063, 1102, 1102, 1102, 1102, 1063, 1063,
     1063, 1063, 1063, 1063,  724,  724,  724,  725,  724, 1102,
      965, 1102, 1102, 1102,  962, 1102, 1102, 1102, 1102,  966,
     1102, 1063, 1063, 1063, 1063, 1063, 1063, 1031, 1031, 1031,

     1064, 1031,  965, 1102, 1102, 1102, 1102, 1102, 1102,  454,
     1102, 1102, 1102, 1102, 1065, 1065, 1065, 1065, 1065, 1065,
     1065, 1065, 1065, 1065, 1102, 1102, 1102,   92, 1065, 1065,
     1065, 1065, 1065, 1065,  700,  700,  700,  701,  700,  724,
      724,  724,  725,  724, 1102, 1102, 1102, 1102, 1102, 1102,
      962, 1065, 1065, 1065, 1065, 1065, 1065, 1066, 1066, 1066,
     1066, 1066, 1066, 1066, 1066, 1066, 1066, 1102,  323, 1102,
     1102, 1066, 1066, 1066, 1066, 1066, 1066,  750,  750,  750,
      751,  750, 1102, 1102, 1102, 1102, 1102,  324, 1102, 1102,
     1102,  323,   92, 1102, 1066, 1066, 1066, 1066, 1066, 1066,

      646, 1031,  646,  646,  646, 1102, 1102, 1102, 1102, 1102,
     1102, 1102,  454, 1088, 1088, 1088, 1089, 1088, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
       92, 1080, 1080, 1080, 1080, 1080, 1080, 1080, 1080, 1080,
     1080, 1102, 1102, 1102, 1102, 1080, 1080, 1080, 1080, 1080,
     1080, 1102, 1102,  962, 1102, 1102, 1088, 1088, 1088, 1089,
     1088, 1102, 1036, 1102, 1102, 1102, 1037, 1102, 1080, 1080,
     1080, 1080, 1080, 1080, 1081, 1081, 1081, 1081, 1081, 1081,
     1081, 1081, 1081, 1081, 1036, 1102, 1102, 1102, 1081, 1081,
     1081, 1081, 1081, 1081,  865,  865,  865,  866,  865, 1102,

     1102, 1102, 1102, 1102, 1102, 1036, 1102, 1102, 1102, 1037,
     1102, 1081, 1081, 1081, 1081, 1081, 1081, 1082, 1082, 1082,
     1082, 1082, 1082, 1082, 1082, 1082, 1082, 1036, 1102, 1102,
     1102, 1082, 1082, 1082, 1082, 1082, 1082, 1031, 1031, 1031,
     1064, 1031, 1102, 1102, 1102, 1102, 1102,   92, 1102,  454,
     1102, 1102, 1102, 1102, 1082, 1082, 1082, 1082, 1082, 1082,
     1083, 1083, 1083, 1083, 1083, 1083, 1083, 1083, 1083, 1083,
     1102, 1102, 1102, 1102, 1083, 1083, 1083, 1083, 1083, 1083,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
      962, 1102, 1102, 1102, 1102, 1102, 1102, 1083, 1083, 1083,

     1083, 1083, 1083, 1084, 1084, 1084, 1084, 1084, 1084, 1084,
     1084, 1084, 1084, 1102, 1102, 1102, 1102, 1084, 1084, 1084,
     1084, 1084, 1084, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1084, 1084, 1084, 1084, 1084, 1084, 1091, 1091, 1091, 1091,
     1091, 1091, 1091, 1091, 1091, 1091, 1102, 1102, 1102, 1102,
     1091, 1091, 1091, 1091, 1091, 1091, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1091, 1091, 1091, 1091, 1091, 1091, 1092,
     1092, 1092, 1092, 1092, 1092, 1092, 1092, 1092, 1092, 1102,

     1102, 1102, 1102, 1092, 1092, 1092, 1092, 1092, 1092, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1092, 1092, 1092, 1092,
     1092, 1092,  451,  451,  451,  451,  451,  451,  451,  451,
      451,  451, 1102, 1102, 1102, 1102,  451,  451,  451,  451,
      451,  451, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,  451,
      451,  451,  451,  451,  451, 1093, 1093, 1093, 1093, 1093,
     1093, 1093, 1093, 1093, 1093, 1102, 1102, 1102, 1102, 1093,
     1093, 1093, 1093, 1093, 1093, 1102, 1102, 1102, 1102, 1102,

     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1093, 1093, 1093, 1093, 1093, 1093, 1094, 1094,
     1094, 1094, 1094, 1094, 1094, 1094, 1094, 1094, 1102, 1102,
     1102, 1102, 1094, 1094, 1094, 1094, 1094, 1094, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1094, 1094, 1094, 1094, 1094,
     1094,  639,  639,  639,  639,  639,  639,  639,  639,  639,
      639, 1102, 1102, 1102, 1102,  639,  639,  639,  639,  639,
      639, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,  639,  639,

      639,  639,  639,  639,  642,  642,  642,  642,  642,  642,
      642,  642,  642,  642, 1102, 1102, 1102, 1102,  642,  642,
      642,  642,  642,  642, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102,  642,  642,  642,  642,  642,  642, 1099, 1099, 1099,
     1099, 1099, 1099, 1099, 1099, 1099, 1099, 1102, 1102, 1102,
     1102, 1099, 1099, 1099, 1099, 1099, 1099, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1099, 1099, 1099, 1099, 1099, 1099,
     1101, 1101, 1101, 1101, 1101, 1101, 1101, 1101, 1101, 1101,

     1102, 1102, 1102, 1102, 1101, 1101, 1101, 1101, 1101, 1101,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1101, 1101, 1101,
     1101, 1101, 1101,   27,   27, 1102,   27,   27,   27,   27,
       27,   27,   30,   30,   30,   30,   33,   33, 1102,   33,
       33,   33,   33,   33,   33,   36, 1102, 1102,   36,   64,
       64, 1102,   64,   64,   67,   67, 1102,   67,   67,   67,
       67,   67,   67,   78,   78,   78,   78,   78,   78,   78,
       78,   78,   82,   82, 1102,   82,   82,   82,   82,   82,
       82,   84,   84,   84,   84,   84,   84,   84,   84,   84,

       88,   88,   88,   88,   88,   88,   88,   88,   88,   91,
     1102,   91,   91,  148,  148, 1102,  148,  148,  148,  148,
      148,  148,  153,  153,  153,  153,  153,  153,  153,  153,
      153,  166,  166,  166,  166,  166,  166,  166,  166,  166,
      173,  173,  173,  173,  173,  173,  173,  173,  173,  175,
      175, 1102,  175,  175,  175,  175,  175,  175,  279,  279,
      279,  279,  279,  279,  279,  279,  279,  294,  294,  294,
      294,  294,  294,  294,  294,  294,  298,  298,  298,  298,
      298,  298,  298,  298,  298,  451,  451,  451, 1102,  451,
      451,  451,  451,  457,  457,  457,  457,  457,  457,  457,

      457,  457,  472,  472,  472,  472,  472,  472,  472,  472,
      472,  173,  173,  173,  173,  173,  173,  173,  173,  173,
      639,  639, 1102,  639,  639,  639,  639,  639,  639,  642,
      642, 1102,  642,  642,  642,  642,  642,  642,  457,  457,
      457,  457,  457,  457,  457,  457,  457,  279,  279,  279,
      279,  279,  279,  279,  279,  279,   27,   27,   27,   27,
       27,   27,   27,   27,   27,  472,  472,  472,  472,  472,
      472,  472,  472,  472,  294,  294,  294,  294,  294,  294,
      294,  294,  294,  811,  811,  811,  811,  811,  811,  811,
      811,  811,  814,  814,  814,  814,  814,  814,  814,  814,

      814,  961,  961, 1102, 1102,  961,  961,  961,  961,    3,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102
    } ;

static const flex_int16_t yy_chk[7190] =
    {   0,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    5,
        5,    5,    5,    5,    6,    6,    6,    6,    6,    7,
        7,    7,    7,    7,    8,    9,   10,   11,   17,   22,

       22,   22,   22,   22,   36,    7,   12,   12,   12,   12,
       12,   12,   12,   12,   12,   12,   25,   30,   82,  470,
     1113,  470,   58,   27,   16,   46,   25,   26,    7,   64,
       16,   26,    9,   26,   16, 1097,   11,   16,   25,   10,
       17,    8,    7,   46,   16,   58,   36,   16,   46,   26,
      133,    7,   14,   16,   30,   82,   16,   14,   14,   16,
       14,   14,   14,   14,   14,   14,   14,   14,   14,   14,
       27,   64,   26,  133,   14,   14,   14,   14,   14,   14,
       14,   14,   14,   14,   14,   14,   14,   14,   14,   14,
       14,   14,   14,   14,   14,   14,   14,   14,   14,   14,

       14,   14,   14,   14,   14,   14,   14,   14,   14,   14,
       14,   14,   14,   14,   14,   14,   14,   14,   18,   33,
       14,   38,   67,   38,   38,   38,   38,   38,   38,   38,
       38,   38,   38,   49,   49,   23,   23,   23,   23,   23,
       42,   42,   42,   42,   42,   42,   42,   42,   42,   42,
       48,   23, 1069,   45,   18,   49,   48,   84,   78, 1068,
       18,   74,   33,   45,   67,   74,   89,   74,  154,   89,
      167,  154,   48,  167,   23,   45,   18,   19,   19,   19,
       19,   19,   19,   19,   19,   19,   19,   51,   23,  170,
       50,   19,   19,   19,   19,   19,   19,   23, 1058,   50,

       84,   47,   51,   52,   54,   78,   61, 1050,   52,   47,
       51,   47,   50,   52,   19,   19,   19,   19,   19,   19,
       29,   29,   29,   47,   59,   52,   54,   54,   61,   61,
       52,   47,  170,  664,   59,  664,   29,   29,   29,   29,
       29,   29,   29,   29,   29,   29,   59,   60,  148,   72,
       29,   29,   29,   29,   29,   29,   72,  150,   79,   85,
       66,  299,  195,   79,  299,   60, 1049,  195,   85,  195,
       60,   72, 1025,   29,   29,   29,   29,   29,   29,   32,
       32,   32,   32,   32,   32,   32,   32,   32,   32,   53,
      148,   66,  126,   32,   32,   32,   32,   32,   32,  150,

       73,  126,   66, 1012,   73,   53,   73,   53,  100,   53,
       79,   85,   53,   66,  126,   77,   32,   32,   32,   32,
       32,   32,   34,   34,   34,   77,   73,   53,  124,   53,
      100,  100,  222, 1011,  124,   95,  222,   77,   34,   34,
       34,   34,   34,   34,   34,   34,   34,   34,   73,  151,
      124,   95,   34,   34,   34,   34,   34,   34,   95,  151,
      224,  991,  990,  163,  224,   96,  105,  988,  453,   96,
      105,   96,  105,  987,  980,   34,   34,   34,   34,   34,
       34,   37,   37,   37,   37,   37,   37,   37,   37,   37,
       37,   96,  105,  105,  130,   37,   37,   37,   37,   37,

       37,  151,  119,  979,  106,  106,  119,  119,  119,  119,
      163,  453,  969,   96,  105,  105,  130,  130,   37,   37,
       37,   37,   37,   37,   56,   56,  106,  968,  951,   56,
       56,   56,   56,   56,   56,   56,   56,   56,   56,   56,
       56,   56,   56,   56,   56,   56,   56,   56,   56,   56,
       56,   56,   56,   56,   56,   56,   56,   56,   56,   56,
       56,   56,   56,   56,   56,   56,   56,   56,   56,   56,
       56,   56,   56,   56,   56,   56,   56,   56,   56,   56,
       56,   56,   56,   56,   56,   56,   56,   56,   56,   56,
       56,   56,   56,   56,   56,   56,   56,   56,   56,   56,

       56,   56,   56,   62,  115,  935,  134,   62,   62,   62,
       62,  137,  669,  134,  669,  137,  158,  137,  116,  125,
      125,  253,  116,  115,  116,   62,  138,  115,  134,   62,
      127,  121,   62,  121,  121,  121,  121,  121,  121,  158,
      934,  125,  138,  253,  116,  127,  139,  932,   62,  138,
      139,   62,  139,  127,   62,   65,   65,   65,   65,   65,
       65,   65,   65,   65,   65,  911,  116,  159,  136,   65,
       65,   65,   65,   65,   65,  458,  157,  910,  458,   99,
      157,  141,  157,   99,   99,   99,   99,  136,  129,  141,
      159,  136,   65,   65,   65,   65,   65,   65,   68,   68,

       68,   68,   68,  160,  129,   99,  129,  642,  129,   68,
      160,  129,  141,   99,  147,   68,   68,   68,   68,   68,
       68,   68,   68,   68,   68,  160,  129,   99,  129,   68,
       68,   68,   68,   68,   68,   99,  147,  147,  360,  103,
      908,  155,  360,  103,  103,  103,  103,  232,  452,  155,
      642,   68,   68,   68,   68,   68,   68,   68,   80,   80,
       80,   80,   80,  155,   80,  103,  123,  907,  123,  123,
      123,  123,  123,  123,  103,   80,   80,   80,   80,   80,
       80,   80,   80,   80,   80,  473,  178,  103,  473,   80,
       80,   80,   80,   80,   80,  452,  103,  135,  901,  232,

      140,  135,  143,  135,  140,  140,  140,  140,  146,  178,
      143,   80,   80,   80,   80,   80,   80,   80,   83,   83,
       83,   83,   83,  135,  161,  179,  146,  680,  161,  680,
      161,  146,  899,  143,   83,   83,   83,   83,   83,   83,
       83,   83,   83,   83,   83,  135,  145,  187,  179,   83,
       83,   83,   83,   83,   83,  156,  145,  177,  895,  893,
      156,  177,  156,  177,  164,  703,  890,  703,  145,  164,
      187,   83,   83,   83,   83,   83,   83,   83,   86,   86,
       86,   86,   86,  183,  156,  189,  186,  183,   86,  183,
      186,  186,  186,  186,  300,   86,   86,   86,   86,   86,

       86,   86,   86,   86,   86,  168,  156,  814,  189,   86,
       86,   86,   86,   86,   86,  194,  164,  198,  199,  194,
      168,  194,  101,  199,  200,  199,  101,  101,  101,  101,
      193,   86,   86,   86,   86,   86,   86,   86,   90,  198,
      198,  194,   90,   90,   90,   90,  300,  200,  101,  193,
      814,  128,  101,  193,  201,  889,  128,  168,   90,   90,
       90,  128,   90,  194,   90,  204,  171,   90,   90,   90,
      101,  872,  362,  128,  101,  171,  362,  201,  128,  205,
      214,   90,   90,   90,   90,  709,   90,  709,  204,   90,
       90,   90,   92,   92,   92,   92,   92,   92,   92,   92,

       92,   92,  205,  214,  216,  257,   92,   92,   92,   92,
       92,   92,  871,  162,  162,  162,  162,  162,  171,  203,
      209,  869,  258,  203,  209,  203,  209,  216,  257,   92,
       92,   92,   92,   92,   92,   94,   94,   94,   94,   94,
       94,   94,   94,   94,   94,  258,  639,  868,  865,   94,
       94,   94,   94,   94,   94,  559,  162,  260,  107,  559,
      863,   94,  107,  110,  107,  862,  162,  110,  110,  110,
      110,  260,   94,   94,   94,   94,   94,   94,  162,  107,
      260,  114,  265,   94,  107,  114,  114,  114,  114,  110,
      212,  212,  213,  639,  110,  254,  213,  213,  213,  213,

      265,  286,  107,  254,  182,  265,  107,  114,  182,  286,
      182,  110,  212,  114,  220,  114,  110,  254,  220,  220,
      220,  220,  229,  286,  182,  857,  229,  228,  229,  114,
      182,  228,  561,  228,  855,  114,  561,  114,  118,  118,
      118,  118,  118,  303,  234,  304,  852,  182,  234,  234,
      234,  234,  182,  228,  316,  118,  118,  118,  118,  118,
      118,  118,  118,  118,  118,  714,  303,  714,  304,  118,
      118,  118,  118,  118,  118,  228,  256,  316,  259,  255,
      256,  416,  256,  208,  255,  259,  255,  208,  208,  208,
      208,  118,  118,  118,  118,  118,  118,  118,  120,  851,

      259,  120,  120,  120,  120,  120,  120,  120,  255,  208,
      261,  318,  333,  120,  261,  120,  261,  236,  208,  236,
      236,  236,  236,  236,  236,  242,  242,  242,  242,  242,
      255,  208,  849,  416,  318,  333,  120,  483,  120,  122,
      208,  334,  122,  122,  122,  122,  122,  122,  122,  305,
      305,  305,  305,  305,  122,  238,  122,  238,  238,  238,
      238,  238,  238,  262,  334,  275,  283,  262,  242,  262,
      267,  283,  242,  283,  267,  275,  267,  122,  242,  122,
      149,  149,  149,  149,  149,  848,  281,  266,  831,  483,
      242,  266,  281,  266,  242,  338,  830,  149,  149,  149,

      149,  149,  149,  149,  149,  149,  149,  266,  281,  339,
      343,  149,  149,  149,  149,  149,  149,  275,  338,  249,
      249,  249,  249,  249,  726,  282,  726,  795,  344,  282,
      266,  282,  339,  343,  149,  149,  149,  149,  149,  149,
      152,  152,  152,  152,  152,  152,  152,  152,  152,  152,
      249,  344,  794,  282,  152,  152,  152,  152,  152,  152,
      270,  752,  784,  752,  270,  270,  270,  270,  957,  783,
      287,  351,  249,  249,  287,  282,  287,  152,  152,  152,
      152,  152,  152,  165,  165,  165,  165,  165,  165,  165,
      165,  165,  165,  754,  351,  292,  417,  165,  165,  165,

      165,  165,  165,  753,  272,  272,  272,  272,  272,  290,
      302,  957,  328,  290,  302,  290,  302,  328,  417,  328,
      165,  165,  165,  165,  165,  165,  169,  169,  169,  169,
      169,  169,  169,  169,  169,  169,  291,  292,  353,  272,
      169,  169,  169,  169,  169,  169,  291,  292,  750,  792,
      503,  792,  241,  241,  241,  241,  241,  272,  291,  292,
      779,  353,  272,  169,  169,  169,  169,  169,  169,  172,
      172,  172,  172,  172,  172,  172,  172,  172,  172,  401,
      401,  748,  779,  172,  172,  172,  172,  172,  172,  306,
      306,  306,  306,  306,  811,  241,  244,  244,  244,  244,

      244,  401,  503,  241,  405,  241,  172,  172,  172,  172,
      172,  172,  176,  176,  176,  176,  176,  241,  307,  405,
      747,  332,  307,  741,  307,  241,  332,  405,  332,  176,
      176,  176,  176,  176,  176,  176,  176,  176,  176,  244,
      244,  811,  392,  176,  176,  176,  176,  176,  176,  244,
      739,  954,  392,  273,  273,  273,  273,  273,  734,  311,
      412,  244,  244,  311,  392,  311,  176,  176,  176,  176,
      176,  176,  233,  233,  233,  233,  233,  233,  233,  233,
      233,  233,  412,  412,  273,  462,  233,  233,  233,  233,
      233,  233,  240,  240,  240,  240,  240,  801,  954,  801,

      505,  271,  271,  271,  271,  271,  273,  273,  462,  233,
      233,  233,  233,  233,  233,  235,  526,  533,  235,  235,
      235,  235,  235,  235,  235,  325,  732,  240,  463,  325,
      235,  325,  235,  728,  727,  240,  468,  243,  243,  243,
      243,  243,  315,  468,  271,  240,  315,  315,  315,  315,
      240,  463,  505,  235,  271,  235,  237,  240,  468,  237,
      237,  237,  237,  237,  237,  237,  271,  724,  526,  533,
      403,  237,  478,  237,  245,  245,  245,  245,  245,  403,
      243,  246,  246,  246,  246,  246,  402,  337,  705,  243,
      243,  337,  403,  337,  237,  478,  237,  239,  239,  239,

      239,  239,  243,  704,  251,  251,  251,  251,  251,  346,
      479,  243,  245,  346,  239,  346,  554,  245,  239,  239,
      239,  239,  324,  698,  246,  342,  324,  245,  324,  246,
      342,  697,  342,  479,  246,  245,  556,  402,  402,  245,
      239,  250,  250,  250,  250,  250,  246,  251,  324,  350,
      239,  246,  251,  350,  350,  350,  350,  251,  759,  402,
      759,  759,  239,  247,  247,  247,  247,  247,  554,  251,
      324,  358,  250,  694,  251,  358,  358,  358,  358,  250,
      288,  288,  288,  288,  288,  807,  693,  807,  556,  274,
      274,  274,  274,  274,  250,  250,  247,  277,  277,  277,

      277,  277,  250,  277,  366,  566,  247,  277,  366,  277,
      366,  369,  247,  397,  247,  369,  247,  369,  740,  247,
      688,  397,  740,  397,  274,  374,  288,  686,  247,  374,
      374,  374,  374,  288,  247,  397,  247,  248,  248,  248,
      248,  248,  274,  397,  838,  399,  838,  274,  288,  424,
      277,  399,  742,  424,  248,  424,  742,  566,  248,  248,
      248,  248,  320,  320,  320,  320,  320,  399,  248,  280,
      280,  280,  280,  280,  321,  321,  321,  321,  321,  322,
      322,  322,  322,  322,  495,  280,  583,  583,  583,  583,
      248,  248,  276,  276,  276,  276,  276,  335,  335,  335,

      335,  335,  336,  336,  336,  336,  336,  495,  280,  276,
      276,  276,  276,  276,  276,  276,  276,  276,  276,  682,
      681,  423,  280,  276,  276,  276,  276,  276,  276,  423,
      678,  280,  289,  289,  289,  289,  289,  340,  340,  340,
      340,  340,  427,  423,  676,  675,  276,  276,  276,  276,
      276,  276,  278,  278,  278,  278,  278,  278,  278,  278,
      278,  278,  656,  492,  427,  427,  278,  278,  278,  278,
      278,  278,  341,  341,  341,  341,  341,  655,  289,  492,
      331,  331,  331,  331,  331,  289,  492,  630,  629,  278,
      278,  278,  278,  278,  278,  355,  355,  355,  355,  355,

      289,  293,  293,  293,  293,  293,  293,  293,  293,  293,
      293,  331,  621,  447,  497,  293,  293,  293,  293,  293,
      293,  620,  577,  349,  349,  349,  349,  349,  356,  356,
      356,  356,  356,  331,  331,  447,  447,  497,  293,  293,
      293,  293,  293,  293,  296,  296,  296,  296,  296,  296,
      296,  296,  296,  296,  576,  517,  394,  521,  296,  296,
      296,  296,  296,  296,  357,  357,  357,  357,  357,  363,
      363,  363,  363,  363,  394,  349,  349,  517,  517,  394,
      521,  296,  296,  296,  296,  296,  296,  297,  297,  297,
      297,  297,  297,  297,  297,  297,  297,  349,  847,  573,

      847,  297,  297,  297,  297,  297,  297,  364,  364,  364,
      364,  364,  572,  314,  314,  314,  314,  314,  365,  365,
      365,  365,  365,  393,  297,  297,  297,  297,  297,  297,
      301,  301,  301,  301,  301,  301,  301,  301,  301,  301,
      761,  522,  761,  761,  301,  301,  301,  301,  301,  301,
      314,  372,  372,  372,  372,  372,  376,  569,  376,  376,
      376,  376,  376,  376,  522,  393,  314,  301,  301,  301,
      301,  301,  301,  314,  378,  393,  378,  378,  378,  378,
      378,  378,  409,  568,  459,  372,  567,  393,  459,  565,
      389,  389,  389,  389,  389,  429,  560,  418,  409,  429,

      409,  429,  409,  418,  372,  409,  459,  558,  372,  373,
      373,  373,  373,  373,  373,  373,  373,  373,  373,  418,
      409,  389,  409,  373,  373,  373,  373,  373,  373,  380,
      380,  380,  380,  380,  867,  568,  867,  555,  381,  381,
      381,  381,  381,  389,  389,  553,  373,  373,  373,  373,
      373,  373,  375,  549,  547,  375,  375,  375,  375,  375,
      375,  375,  900,  420,  380,  528,  900,  375,  420,  375,
      420,  395,  380,  400,  382,  382,  382,  382,  382,  411,
      398,  381,  380,  411,  411,  411,  411,  380,  528,  381,
      375,  381,  375,  377,  380,  541,  377,  377,  377,  377,

      377,  377,  377,  381,  662,  395,  529,  884,  377,  884,
      377,  381,  662,  406,  419,  540,  532,  382,  419,  400,
      419,  382,  398,  395,  404,  400,  662,  382,  395,  529,
      398,  377,  398,  377,  379,  379,  379,  379,  379,  382,
      570,  400,  419,  382,  398,  383,  383,  383,  383,  383,
      406,  379,  398,  543,  543,  379,  379,  379,  379,  384,
      384,  384,  384,  384,  419,  406,  525,  404,  385,  385,
      385,  385,  385,  406,  679,  543,  404,  379,  464,  386,
      386,  386,  386,  386,  464,  515,  407,  379,  383,  404,
      413,  407,  570,  906,  514,  906,  407,  383,  383,  379,

      464,  432,  384,  384,  493,  432,  385,  432,  407,  544,
      383,  385,  384,  407,  391,  391,  391,  391,  391,  383,
      413,  385,  386,  465,  384,  384,  679,  386,  465,  385,
      465,  511,  386,  385,  390,  390,  390,  390,  390,  510,
      493,  414,  413,  413,  386,  414,  414,  414,  414,  386,
      387,  387,  387,  387,  387,  535,  493,  391,  414,  410,
      544,  544,  391,  493,  435,  390,  408,  391,  435,  396,
      435,  536,  390,  396,  396,  396,  396,  414,  535,  391,
      725,  414,  544,  387,  391,  508,  436,  390,  390,  396,
      436,  410,  436,  387,  536,  390,  546,  507,  428,  387,

      443,  387,  428,  387,  428,  396,  387,  410,  408,  410,
      443,  410,  396,  408,  410,  387,  504,  502,  408,  546,
      428,  387,  443,  387,  388,  388,  388,  388,  388,  410,
      408,  410,  725,  498,  496,  408,  425,  425,  425,  425,
      425,  388,  446,  428,  439,  388,  388,  388,  388,  426,
      426,  426,  426,  426,  444,  388,  433,  433,  433,  433,
      433,  490,  439,  448,  440,  548,  489,  439,  440,  445,
      440,  441,  441,  441,  441,  441,  446,  388,  388,  442,
      486,  485,  425,  442,  442,  442,  442,  445,  548,  425,
      433,  482,  445,  448,  446,  426,  444,  461,  472,  446,

      513,  461,  426,  461,  425,  513,  444,  513,  441,  433,
      942,  457,  942,  433,  460,  448,  448,  426,  444,  460,
      438,  460,  467,  477,  441,  437,  467,  477,  467,  477,
      518,  441,  449,  449,  449,  449,  449,  449,  449,  449,
      449,  449,  605,  469,  460,  609,  449,  449,  449,  449,
      449,  449,  450,  450,  450,  450,  450,  484,  450,  431,
      518,  484,  450,  484,  450,  605,  460,  430,  609,  449,
      449,  449,  449,  449,  449,  451,  451,  451,  451,  451,
      488,  451,  518,  518,  488,  451,  488,  451,  469,  480,
      480,  480,  480,  480,  422,  469,  481,  481,  481,  481,

      481,  421,  494,  610,  670,  450,  494,  494,  494,  494,
      469,  487,  487,  487,  487,  487,  499,  499,  499,  499,
      499,  500,  500,  500,  500,  500,  610,  670,  451,  455,
      455,  455,  455,  455,  455,  455,  455,  455,  455,  455,
      455,  455,  455,  455,  455,  455,  455,  455,  455,  455,
      455,  455,  455,  455,  455,  455,  455,  455,  455,  455,
      455,  455,  455,  455,  455,  455,  455,  455,  455,  455,
      455,  455,  455,  455,  455,  455,  455,  455,  455,  455,
      455,  455,  455,  455,  455,  455,  455,  455,  455,  455,
      455,  455,  455,  455,  455,  455,  455,  455,  455,  455,

      455,  455,  455,  455,  455,  455,  455,  455,  456,  456,
      456,  456,  456,  415,  371,  466,  466,  466,  466,  466,
      491,  491,  491,  491,  491,  456,  456,  456,  456,  456,
      456,  456,  456,  456,  456,  602,  602,  602,  602,  456,
      456,  456,  456,  456,  456,  501,  501,  501,  501,  501,
      506,  519,  370,  368,  506,  509,  506,  491,  367,  509,
      466,  509,  456,  456,  456,  456,  456,  456,  466,  361,
      519,  520,  359,  491,  519,  527,  520,  354,  520,  527,
      491,  527,  466,  471,  471,  471,  471,  471,  352,  471,
      523,  523,  523,  523,  523,  512,  512,  512,  512,  512,

      471,  471,  471,  471,  471,  471,  471,  471,  471,  471,
      604,  604,  604,  604,  471,  471,  471,  471,  471,  471,
      524,  524,  524,  524,  524,  948,  348,  948,  615,  512,
      530,  530,  530,  530,  530,  615,  471,  471,  471,  471,
      471,  471,  471,  474,  474,  474,  474,  474,  512,  534,
      615,  606,  512,  347,  534,  606,  534,  474,  345,  330,
      474,  474,  474,  474,  474,  474,  474,  474,  474,  474,
      952,  329,  952,  606,  474,  474,  474,  474,  474,  474,
      474,  474,  474,  474,  474,  474,  474,  474,  474,  474,
      474,  474,  474,  474,  474,  474,  474,  474,  474,  474,

      474,  474,  474,  474,  474,  474,  474,  474,  474,  474,
      474,  474,  474,  474,  474,  474,  474,  474,  327,  622,
      474,  475,  475,  475,  475,  475,  475,  475,  475,  475,
      475,  636,  636,  636,  636,  475,  475,  475,  475,  475,
      475,  622,  622,  516,  516,  516,  516,  516,  531,  531,
      531,  531,  531,  537,  537,  537,  537,  537,  475,  475,
      475,  475,  475,  475,  476,  476,  476,  476,  476,  476,
      476,  476,  476,  476,  516,  975,  634,  975,  476,  476,
      476,  476,  476,  476,  538,  538,  538,  538,  538,  539,
      326,  652,  634,  539,  571,  539,  516,  516,  571,  634,

      571,  476,  476,  476,  476,  476,  476,  542,  542,  542,
      542,  542,  545,  652,  652,  671,  545,  545,  545,  545,
      550,  550,  550,  550,  550,  551,  551,  551,  551,  551,
      552,  552,  552,  552,  552,  557,  580,  751,  671,  557,
      557,  557,  557,  562,  562,  562,  562,  562,  563,  563,
      563,  563,  563,  564,  564,  564,  564,  564,  323,  542,
      542,  574,  574,  574,  574,  574,  575,  579,  319,  580,
      575,  317,  575,  578,  578,  578,  578,  578,  608,  902,
      612,  542,  608,  902,  608,  612,  579,  612,  580,  751,
      579,  585,  580,  585,  585,  585,  585,  585,  585,  587,

      313,  587,  587,  587,  587,  587,  587,  578,  614,  618,
      815,  654,  614,  618,  614,  618,  654,  312,  654,  815,
      598,  598,  598,  598,  598,  986,  578,  986,  310,  309,
      578,  582,  582,  582,  582,  582,  582,  582,  582,  582,
      582,  598,  598,  598,  598,  582,  582,  582,  582,  582,
      582,  584,  584,  584,  584,  584,  584,  584,  601,  601,
      601,  601,  815,  584,  308,  584,  616,  298,  582,  582,
      582,  582,  582,  582,  601,  586,  586,  586,  586,  586,
      586,  586,  684,  684,  684,  684,  584,  586,  584,  586,
      601,  603,  603,  603,  603,  607,  685,  601,  294,  611,

      607,  661,  607,  619,  603,  611,  661,  619,  661,  619,
      586,  616,  586,  588,  588,  588,  588,  588,  616,  685,
      623,  611,  285,  603,  623,  607,  623,  603,  672,  672,
      672,  672,  672,  616,  588,  588,  588,  588,  626,  613,
      613,  613,  613,  613,  625,  657,  687,  607,  625,  657,
      625,  624,  624,  624,  624,  624,  588,  626,  628,  631,
      627,  626,  628,  631,  628,  631,  588,  657,  284,  687,
      632,  632,  632,  632,  632,  635,  279,  269,  588,  589,
      589,  589,  589,  589,  613,  633,  710,  711,  268,  633,
      624,  633,  613,  627,  264,  638,  638,  638,  638,  638,

      589,  589,  589,  589,  624,  632,  613,  638,  263,  710,
      711,  635,  627,  624,  589,  231,  627,  640,  640,  640,
      640,  640, 1022,  632, 1022,  812,  653,  635,  632,  640,
      812,  653,  589,  653,  635,  230,  866,  589,  590,  590,
      590,  590,  590,  644,  644,  644,  644,  644,  658,  644,
      227,  226,  658,  644,  658,  644,  715,  225,  653,  590,
      590,  590,  590,  223,  645,  645,  645,  645,  645,  674,
      645,  221,  716,  674,  645,  674,  645,  812,  219,  715,
      653,  590,  646,  646,  646,  646,  646,  663,  866,  590,
     1026,  590, 1026,  218,  646,  716,  644,  217,  647,  647,

      647,  647,  647,  590,  647, 1027,  215, 1027,  647,  720,
      647,  590,  591,  591,  591,  591,  591,  645,  648,  648,
      648,  648,  648,  692,  648,  211,  210,  692,  648,  692,
      648,  663,  720,  591,  591,  591,  591,  207,  206,  663,
      659,  659,  659,  659,  659,  660,  660,  660,  660,  660,
     1047,  647, 1047,  663,  673,  673,  673,  673,  673,  591,
      677,  677,  677,  677,  677,  591,  689,  689,  689,  689,
      689,  648,  700,  683,  683,  683,  683,  683,  707,  721,
      202,  591,  592,  592,  592,  592,  592,  659,  731,  733,
      696,  700,  660,  659,  696,  700,  696,  707,  660,  701,

      197,  707,  721,  592,  592,  592,  592,  196,  192,  659,
      683,  731,  733,  191,  660,  690,  690,  690,  690,  690,
      691,  691,  691,  691,  691,  190,  683,  695,  695,  695,
      695,  695,  701,  683,  592,  592,  699,  699,  699,  699,
      699,  706,  706,  706,  706,  706,  712,  712,  712,  712,
      712,  701, 1059,  188, 1059,  701,  592,  593,  593,  593,
      593,  593,  713,  713,  713,  713,  713,  843,  185,  777,
      699,  184,  706,  717,  717,  717,  717,  717,  593,  593,
      593,  593,  718,  718,  718,  718,  718,  181,  777,  699,
      843,  719,  777,  699,  706,  706,  719, 1060,  719, 1060,

      790,  593,  722,  722,  722,  722,  722,  958,  790,  180,
      593,  723,  723,  723,  723,  723,  958,  729,  729,  729,
      729,  729,  790,  593,  594,  594,  594,  594,  594,  730,
      730,  730,  730,  735,  735,  735,  735,  735,  736,  736,
      736,  736,  736,  175,  173,  594,  594,  594,  594,  737,
      737,  737,  737,  737,  738,  738,  738,  738,  166,  958,
      775,  844,  594,  743,  743,  743,  743,  743,  153,  729,
      729,  744,  744,  744,  744,  744,  775,  594,  745,  745,
      745,  745,  745,  775,  844,  594,  595,  595,  595,  595,
      595,  729,  746,  144,  142,  854,  746,  856,  746,  749,

      749,  749,  749,  749,  132,  758,  758,  758,  799,  758,
      758,  758,  755,  755,  755,  755,  755,  758,  854,  758,
      856,  131,  799,  762,  762,  762,  762,  762,  782,  595,
      832,  799,  785,  782,  595,  782,  785,  595,  117,  595,
      758,  113,  758,  760,  760,  760,  755,  760,  760,  760,
      112,  595,  832,  832,  785,  760,  595,  760,  791,  595,
      596,  596,  596,  596,  596,  755,  762,  111,  874,  755,
      763,  763,  763,  763,  763, 1077,  762, 1077,  760,  109,
      760,  772,  772,  772,  772,  772,  786,  874,  762,  805,
      786,  874,  786,  596,  108,  104,  764,  764,  764,  764,

      764,  789,  791,  596,  102,  763,  789,  805,  789,  596,
      791,  596,  805,  596,   98,   97,  596,  765,  765,  765,
      765,  765,  781,  763,  791,  596,  793,  781,  763,  781,
      793,  596,  793,  596,  597,  597,  597,  597,  597,  764,
       93,  827,  766,  766,  766,  766,  766,  764,   91,  764,
      827, 1079,   88, 1079,  781,  597,  597,  597,  597,   81,
       76,  764,  796,  827,  765,  597,  796,   75,  796,  764,
      765,  767,  767,  767,  767,  767,  781,   71,  876,  768,
      768,  768,  768,  768,  800,  877,  765,  597,  597,  599,
      599,  599,  599,  599,  766,  766,  769,  769,  769,  769,

      769,  876,   57,  771,  771,  771,  771,  771,  877,   55,
      599,  599,  599,  599,  798,  767,  766,  768,  798,  802,
      798, 1075,  800,  802,  767,  802,  806,  599,   44,  804,
     1075,   41,  768,  804,  771,  804,  800,  767,   39,  769,
      768,  829,  599, 1075,  769,  800,  829,   35,  829,  769,
      599,  600,  600,  600,  600,  600,  771,  771,  828,  835,
      806,  769,  828,  835,  828,  835,  769,  787,  787,  787,
      787,  787,  803,  803,  803,  803,  803,  880,  806, 1090,
     1098, 1090, 1098,  806,  773,  773,  773,  773,  773,  809,
      809,  809,  809,  809,  600,  881,   31,   24,  833,  600,

      880,  809,  600,  833,  600,  833,  774,  774,  774,  774,
      774,  861,   21,  836,  787,  861,  600,  861,  881,  836,
      787,  600,  773,  885,  600,  637,  637,  637,  637,  637,
      637,  637,  637,  637,  637,  836,  787,  773,  886,  637,
      637,  637,  637,  637,  637,  773,  885,   20,  933,  774,
      892,  894,  939,  933,  774,  933,  939,   15,  939,  774,
      946,  886,  637,  637,  637,  637,  637,  637,  641,  641,
      641,  774, 1000,  892,  894,   13,  774,  797,  797,  797,
      797,  797,  946,  946,  641,  641,  641,  641,  641,  641,
      641,  641,  641,  641,    3, 1000, 1001, 1039,  641,  641,

      641,  641,  641,  641, 1100,    0, 1100,    0,  797,  845,
      845,  845,  845,  845,  846,  846,  846,  846,  846, 1001,
     1039,  641,  641,  641,  641,  641,  641,  643,  643,  643,
      797,  797,  850,  850,  850,  850,  850,  858,  858,  858,
      858,  858,    0,  643,  643,  643,  643,  643,  643,  643,
      643,  643,  643,    0, 1040,    0,    0,  643,  643,  643,
      643,  643,  643,  817,  817,  817,  817,  817,  943,  817,
        0,  937,  943,  817,  943,  817,  937, 1040,  937,    0,
      643,  643,  643,  643,  643,  643,  649,  649,  649,  649,
      649,  940,  649,    0,    0,  945,  649,  940,  649,  945,

        0,  945,    0,  649,  649,  649,  649,  649,  649,  649,
      649,  649,  649,  940,    0,    0,  817,  649,  649,  649,
      649,  649,  649,  859,  859,  859,  859,  859,  860,  860,
      860,  860,  860,  864,  864,  864,  864,  864,    0,  649,
      649,  649,  649,  649,  649,  649,  650,  650,  650,  650,
      650,  650,  650,  650,  650,  650,  650,  650,  650,  650,
      650,  650,  650,  650,  650,  650,  650,  650,  650,  650,
      650,  650,  650,  650,  650,  650,  650,  650,  650,  650,
      650,  650,  650,  650,  650,  650,  650,  650,  650,  650,
      650,  650,  650,  650,  650,  650,  650,  650,  650,  650,

      650,  650,  650,  650,  650,  650,  650,  650,  650,  650,
      650,  650,  650,  650,  650,  650,  650,  650,  650,  650,
      650,  650,  650,  650,  650,  651,  651,  651,  651,  651,
      651,  651,  651,  651,  651,    0,    0,    0,    0,  651,
      651,  651,  651,  651,  651,  818,  818,  818,  818,  818,
      949,  818,    0,  970,  949,  818,  949,  818,  970,    0,
      970,    0,  651,  651,  651,  651,  651,  651,  665,  665,
      665,  665,  665, 1045,  665,  878,  878,  878,  878,  878,
      879,  879,  879,  879,  879,  665,  665,  665,  665,  665,
      665,  665,  665,  665,  665, 1045, 1045,    0,  818,  665,

      665,  665,  665,  665,  665,  820,  820,  820,  820,  820,
      834,  834,  834,  834,  834,    0,  965,  820,    0,    0,
      965,  665,  665,  665,  665,  665,  665,  665,  666,  666,
      666,  666,  666,  666,  666,  666,  666,  666,  965,    0,
        0,    0,  666,  666,  666,  666,  666,  666,  821,  821,
      821,  821,  821,  873,  873,  873,  873,  873,  820,  834,
      821,    0,    0,  834,    0,  666,  666,  666,  666,  666,
      666,  667,  667,  667,  667,  667,  667,  667,  667,  667,
      667,  834,    0,    0,  873,  667,  667,  667,  667,  667,
      667,    0,  822,  822,  822,  822,  822,    0,  822,  967,

        0,  821,  822,  967,  822,  967,  873,  873,  667,  667,
      667,  667,  667,  667,  668,  668,  668,  668,  668,  668,
      668,  668,  668,  668,    0,    0,    0,    0,  668,  668,
      668,  668,  668,  668,    0,    0,  788,  788,  788,  788,
      788,  837,    0,    0,    0,  822,  882,  882,  882,  882,
      882,  668,  668,  668,  668,  668,  668,  757,  757,  757,
      757,  757,  757,  757,  757,  757,  757,    0,    0,    0,
        0,  757,  757,  757,  757,  757,  757,  947,  823,  823,
      823,  823,  823,  788,  973,    0,    0,  837,  973,  788,
      823,    0,    0,  837,  757,  757,  757,  757,  757,  757,

      770,  770,  770,  770,  770,  788,  973,  947,    0,  837,
      839,  839,  839,  839,  839,    0,  839,  883,  883,  883,
      883,  883,  887,  887,  887,  887,  887,    0, 1020,  947,
      947,  823, 1020,  770,  888,  888,  888,  888,  888,  896,
      896,  896,  896,  896,  897,  897,  897,  897,  897,  770,
     1020,  770,    0,  770,    0,    0,  770,  898,  898,  898,
      898,  898,    0,  839,  903,  903,  903,  903,  903,    0,
        0,  770,    0,  770,  808,  808,  808,  808,  808,  808,
      808,  808,  808,  808,    0,    0,    0,    0,  808,  808,
      808,  808,  808,  808,  853,  853,  853,  853,  853,  904,

      904,  904,  904,  904,  905,  905,  905,  905,  905,    0,
        0,  808,  808,  808,  808,  808,  808,  813,  813,  813,
      813,  813,    0,  813,  909,  909,  909,  909,  909,    0,
        0,  853,    0,    0,  813,  813,  813,  813,  813,  813,
      813,  813,  813,  813,    0,    0,    0,  853,  813,  813,
      813,  813,  813,  813,  853,  944,  944,  944,  944,  944,
      953,  953,  953,  953,  953,  981,  981,  981,  981,  981,
      813,  813,  813,  813,  813,  813,  813,  816,  816,  816,
      816,  816, 1041,  972, 1017,    0, 1041,  816,  972, 1017,
      972, 1017,    0,    0,  816,  816,  816,  816,  816,  816,

      816,  816,  816,  816, 1041,    0,    0,    0,  816,  816,
      816,  816,  816,  816,  870,  870,  870,  870,  870,    0,
      891,  891,  891,  891,  891,  989,  989,  989,  989,  989,
      816,  816,  816,  816,  816,  816,  816,  819,  819,  819,
      819,  819,  819,  819,  819,  819,  819,    0,  870,    0,
        0,  819,  819,  819,  819,  819,  819,  914,  914,  914,
      914,  914, 1023,    0,    0,  955, 1023,  870, 1023,    0,
      955,  870,  891,  891,  819,  819,  819,  819,  819,  819,
      824,  824,  824,  824,  824, 1002, 1002, 1002, 1002, 1002,
        0,    0,    0,    0,  891,    0,    0,  824,  824,  824,

      824,  824,  824,  824,  824,  824,  824,    0,    0,    0,
      914,  824,  824,  824,  824,  824,  824,  955, 1003, 1003,
     1003, 1003, 1003, 1013, 1013, 1013, 1013, 1013, 1018, 1018,
     1018, 1018, 1018,    0,  824,  824,  824,  824,  824,  824,
      825,  825,  825,  825,  825,  825,  825,  825,  825,  825,
      825,  825,  825,  825,  825,  825,  825,  825,  825,  825,
      825,  825,  825,  825,  825,  825,  825,  825,  825,  825,
      825,  825,  825,  825,  825,  825,  825,  825,  825,  825,
      825,  825,  825,  825,  825,  825,  825,  825,  825,  825,
      825,  825,  825,  825,  825,  825,  825,  825,  825,  825,

      825,  825,  825,  825,  825,  825,  825,  825,  825,  825,
      825,  825,  825,  825,  825,  825,  825,  825,  825,  826,
      826,  826,  826,  826,  826,  826,  826,  826,  826,    0,
        0,    0,    0,  826,  826,  826,  826,  826,  826,  912,
      912,  912,  912,  912,  924,  924,  924,  924,  924, 1038,
     1088,    0,    0, 1038, 1088, 1038,  826,  826,  826,  826,
      826,  826,  840,  840,  840,  840,  840,  840,  840,  840,
      840,  840, 1088,  912,    0,  924,  840,  840,  840,  840,
      840,  840,  916,  916,  916,  916,  916,    0,    0,  966,
        0,    0,  912,  966,    0,  966,  912,  924,  924,  840,

      840,  840,  840,  840,  840,  841,  841,  841,  841,  841,
      841,  841,  841,  841,  841,    0,  966,  916,    0,  841,
      841,  841,  841,  841,  841,    0,  915,  915,  915,  915,
      915,    0, 1019,    0,    0,  916,    0, 1019,  966, 1019,
      916,    0,  841,  841,  841,  841,  841,  841,  842,  842,
      842,  842,  842,  842,  842,  842,  842,  842,    0,    0,
        0,    0,  842,  842,  842,  842,  842,  842,    0,  915,
      917,  917,  917,  917,  917,    0,    0,  974,  941,  915,
      918,  918,  918,  918,  918,  842,  842,  842,  842,  842,
      842,  915,  919,  919,  919,  919,  919,  920,  920,  920,

      920,  920,    0,    0,  921,  921,  921,  921,  921, 1046,
        0,    0,    0,  917,    0,    0,  922,  922,  922,  922,
      922,  917, 1042,  917,  941,  974, 1042,  918, 1042,  974,
      941, 1044,    0,  918,    0,  917, 1044,    0, 1044, 1046,
        0,  920,  921,  917,  919,  919,  941,  974,    0,  918,
      920,  925,  925,  925,  925,  925,    0,  921,    0,  922,
        0, 1046, 1046,  920,  922,  921,  919,    0,    0,  922,
      926,  926,  926,  926,  926,    0,  927,  927,  927,  927,
      927,  922, 1076,    0,    0,    0,  922,  923,  923,  923,
      923,  923,    0,    0,    0,  928,  928,  928,  928,  928,

     1056,    0,    0,    0,  925, 1056,    0, 1056,  926,  929,
      929,  929,  929,  929,  931,  931,  931,  931,  931,  927,
      923, 1067,    0,  926,  927, 1076, 1067,    0, 1067,  927,
        0,  926,  928, 1071, 1076,    0,  923, 1071,  923, 1071,
      923,  927,    0,  923,    0,    0,  927, 1076,  928,  930,
      930,  930,  930,  930,    0,  928,    0, 1074,  923, 1085,
      923, 1074,  929, 1074, 1085,    0, 1085,  931,  938,  938,
      938,  938,  938,  961,  961,  961,  961,  961,  963,  963,
      963,  963,  963,  930,    0,  961,    0,    0,    0,    0,
      963, 1051, 1051, 1051, 1051, 1051,    0,  971,  971,  971,

      971,  971,  930,    0,    0,    0,  930,  976,  976,  976,
      976,  976,  977,  977,  977,  977,  977,  938, 1087,    0,
     1037,  938, 1087, 1021, 1087, 1037,  961, 1037,  971,    0,
        0,  963, 1086, 1086, 1086, 1086, 1086,    0,    0,  938,
      956,  956,  956,  956,  956,  956,  956,  956,  956,  956,
      971,  971, 1037,    0,  956,  956,  956,  956,  956,  956,
      976,    0,    0,    0,    0,  977,  978,  978,  978,  978,
      978, 1021,    0,    0, 1037, 1021,    0,  956,  956,  956,
      956,  956,  956,  959,  959,  959,  959,  959,  959,  959,
      959,  959,  959, 1021,    0,    0,    0,  959,  959,  959,

      959,  959,  959,  983,  983,  983,  983,  983,  984,  984,
      984,  984,  984, 1094, 1094, 1094, 1094, 1094,    0,  978,
      959,  959,  959,  959,  959,  959,  960,  960,  960,  960,
      960,  960,  960,  960,  960,  960,    0,    0,    0,    0,
      960,  960,  960,  960,  960,  960, 1095,    0,    0,    0,
        0, 1095,    0, 1095,    0,    0,  983,    0,    0,    0,
        0,  984,    0,  960,  960,  960,  960,  960,  960,  962,
      962,  962,  962,  962,  962,  962,  962,  962,  962,  962,
      962,  962,  962,  962,  962,  962,  962,  962,  962,  962,
      962,  962,  962,  962,  962,  962,  962,  962,  962,  962,

      962,  962,  962,  962,  962,  962,  962,  962,  962,  962,
      962,  962,  962,  962,  962,  962,  962,  962,  962,  962,
      962,  962,  962,  962,  962,  962,  962,  962,  962,  962,
      962,  962,  962,  962,  962,  962,  962,  962,  962,  962,
      962,  962,  962,  962,  962,  962,  962,  962,  964,  964,
      964,  964,  964,  964,  964,  964,  964,  964,    0,    0,
        0,    0,  964,  964,  964,  964,  964,  964,  982,  982,
      982,  982,  982,  985,  985,  985,  985,  985,  992,  992,
      992,  992,  992,    0,    0,  964,  964,  964,  964,  964,
      964,  993,  993,  993,  993,  993,  994,  994,  994,  994,

      994,    0,    0,    0,    0,  982,  995,  995,  995,  995,
      995,    0,  992,  996,  996,  996,  996,  996,    0,    0,
        0,  982,  993,    0,    0,    0,  985,    0,  982,    0,
      994,  992,    0,    0,    0,  992,  997,  997,  997,  997,
      997,    0,    0,    0,  993,  993,    0,    0,    0,  994,
        0,    0,    0,  994,  998,  998,  998,  998,  998,  995,
      999,  999,  999,  999,  999,    0,  996, 1004, 1004, 1004,
     1004, 1004, 1005, 1005, 1005, 1005, 1005, 1006, 1006, 1006,
     1006, 1006, 1007, 1007, 1007, 1007, 1007,    0, 1089,  997,
     1008, 1008, 1008, 1008, 1008, 1009, 1009, 1009, 1009, 1009,

     1010, 1010, 1010, 1010, 1010,    0,    0,  998, 1014, 1014,
     1014, 1014, 1014,  999, 1015, 1015, 1015, 1015, 1015, 1004,
     1004,    0,    0,    0,    0, 1005,    0,    0,    0,    0,
     1006,    0,    0,    0,    0, 1007, 1089,    0,    0,    0,
     1089, 1004, 1014, 1008,    0,    0,    0,    0, 1009,    0,
        0,    0,    0, 1010,    0,    0,    0,    0, 1089,    0,
        0, 1014,    0,    0,    0, 1014,    0, 1015, 1028, 1028,
     1028, 1028, 1028, 1028, 1028, 1028, 1028, 1028,    0,    0,
        0,    0, 1028, 1028, 1028, 1028, 1028, 1028, 1031, 1031,
     1031, 1031, 1031, 1048, 1048, 1048, 1048, 1048,    0,    0,

     1031,    0,    0,    0,    0, 1028, 1028, 1028, 1028, 1028,
     1028, 1029, 1029, 1029, 1029, 1029, 1029, 1029, 1029, 1029,
     1029,    0,    0,    0,    0, 1029, 1029, 1029, 1029, 1029,
     1029, 1032, 1032, 1032, 1032, 1032, 1043, 1043, 1043, 1043,
     1043, 1031,    0, 1032,    0,    0, 1048,    0, 1029, 1029,
     1029, 1029, 1029, 1029, 1030, 1030, 1030, 1030, 1030, 1030,
     1030, 1030, 1030, 1030,    0,    0,    0,    0, 1030, 1030,
     1030, 1030, 1030, 1030, 1053, 1053, 1053, 1053, 1053,    0,
     1043,    0,    0,    0, 1032,    0,    0,    0,    0, 1043,
        0, 1030, 1030, 1030, 1030, 1030, 1030, 1033, 1033, 1033,

     1033, 1033, 1043,    0,    0,    0,    0,    0,    0, 1033,
        0,    0,    0,    0, 1033, 1033, 1033, 1033, 1033, 1033,
     1033, 1033, 1033, 1033,    0,    0,    0, 1053, 1033, 1033,
     1033, 1033, 1033, 1033, 1052, 1052, 1052, 1052, 1052, 1054,
     1054, 1054, 1054, 1054,    0,    0,    0,    0,    0,    0,
     1033, 1033, 1033, 1033, 1033, 1033, 1033, 1035, 1035, 1035,
     1035, 1035, 1035, 1035, 1035, 1035, 1035,    0, 1052,    0,
        0, 1035, 1035, 1035, 1035, 1035, 1035, 1055, 1055, 1055,
     1055, 1055,    0,    0,    0,    0,    0, 1052,    0,    0,
        0, 1052, 1054,    0, 1035, 1035, 1035, 1035, 1035, 1035,

     1064, 1064, 1064, 1064, 1064,    0,    0,    0,    0,    0,
        0,    0, 1064, 1072, 1072, 1072, 1072, 1072,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
     1055, 1061, 1061, 1061, 1061, 1061, 1061, 1061, 1061, 1061,
     1061,    0,    0,    0,    0, 1061, 1061, 1061, 1061, 1061,
     1061,    0,    0, 1064,    0,    0, 1073, 1073, 1073, 1073,
     1073,    0, 1072,    0,    0,    0, 1072,    0, 1061, 1061,
     1061, 1061, 1061, 1061, 1062, 1062, 1062, 1062, 1062, 1062,
     1062, 1062, 1062, 1062, 1072,    0,    0,    0, 1062, 1062,
     1062, 1062, 1062, 1062, 1078, 1078, 1078, 1078, 1078,    0,

        0,    0,    0,    0,    0, 1073,    0,    0,    0, 1073,
        0, 1062, 1062, 1062, 1062, 1062, 1062, 1063, 1063, 1063,
     1063, 1063, 1063, 1063, 1063, 1063, 1063, 1073,    0,    0,
        0, 1063, 1063, 1063, 1063, 1063, 1063, 1101, 1101, 1101,
     1101, 1101,    0,    0,    0,    0,    0, 1078,    0, 1101,
        0,    0,    0,    0, 1063, 1063, 1063, 1063, 1063, 1063,
     1065, 1065, 1065, 1065, 1065, 1065, 1065, 1065, 1065, 1065,
        0,    0,    0,    0, 1065, 1065, 1065, 1065, 1065, 1065,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
     1101,    0,    0,    0,    0,    0,    0, 1065, 1065, 1065,

     1065, 1065, 1065, 1066, 1066, 1066, 1066, 1066, 1066, 1066,
     1066, 1066, 1066,    0,    0,    0,    0, 1066, 1066, 1066,
     1066, 1066, 1066,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
     1066, 1066, 1066, 1066, 1066, 1066, 1080, 1080, 1080, 1080,
     1080, 1080, 1080, 1080, 1080, 1080,    0,    0,    0,    0,
     1080, 1080, 1080, 1080, 1080, 1080,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0, 1080, 1080, 1080, 1080, 1080, 1080, 1081,
     1081, 1081, 1081, 1081, 1081, 1081, 1081, 1081, 1081,    0,

        0,    0,    0, 1081, 1081, 1081, 1081, 1081, 1081,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0, 1081, 1081, 1081, 1081,
     1081, 1081, 1082, 1082, 1082, 1082, 1082, 1082, 1082, 1082,
     1082, 1082,    0,    0,    0,    0, 1082, 1082, 1082, 1082,
     1082, 1082,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0, 1082,
     1082, 1082, 1082, 1082, 1082, 1083, 1083, 1083, 1083, 1083,
     1083, 1083, 1083, 1083, 1083,    0,    0,    0,    0, 1083,
     1083, 1083, 1083, 1083, 1083,    0,    0,    0,    0,    0,

        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0, 1083, 1083, 1083, 1083, 1083, 1083, 1084, 1084,
     1084, 1084, 1084, 1084, 1084, 1084, 1084, 1084,    0,    0,
        0,    0, 1084, 1084, 1084, 1084, 1084, 1084,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0, 1084, 1084, 1084, 1084, 1084,
     1084, 1091, 1091, 1091, 1091, 1091, 1091, 1091, 1091, 1091,
     1091,    0,    0,    0,    0, 1091, 1091, 1091, 1091, 1091,
     1091,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0, 1091, 1091,

     1091, 1091, 1091, 1091, 1092, 1092, 1092, 1092, 1092, 1092,
     1092, 1092, 1092, 1092,    0,    0,    0,    0, 1092, 1092,
     1092, 1092, 1092, 1092,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0, 1092, 1092, 1092, 1092, 1092, 1092, 1093, 1093, 1093,
     1093, 1093, 1093, 1093, 1093, 1093, 1093,    0,    0,    0,
        0, 1093, 1093, 1093, 1093, 1093, 1093,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0, 1093, 1093, 1093, 1093, 1093, 1093,
     1099, 1099, 1099, 1099, 1099, 1099, 1099, 1099, 1099, 1099,

        0,    0,    0,    0, 1099, 1099, 1099, 1099, 1099, 1099,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0, 1099, 1099, 1099,
     1099, 1099, 1099, 1103, 1103,    0, 1103, 1103, 1103, 1103,
     1103, 1103, 1104, 1104, 1104, 1104, 1105, 1105,    0, 1105,
     1105, 1105, 1105, 1105, 1105, 1106,    0,    0, 1106, 1107,
     1107,    0, 1107, 1107, 1108, 1108,    0, 1108, 1108, 1108,
     1108, 1108, 1108, 1109, 1109, 1109, 1109, 1109, 1109, 1109,
     1109, 1109, 1110, 1110,    0, 1110, 1110, 1110, 1110, 1110,
     1110, 1111, 1111, 1111, 1111, 1111, 1111, 1111, 1111, 1111,

     1112, 1112, 1112, 1112, 1112, 1112, 1112, 1112, 1112, 1114,
        0, 1114, 1114, 1115, 1115,    0, 1115, 1115, 1115, 1115,
     1115, 1115, 1116, 1116, 1116, 1116, 1116, 1116, 1116, 1116,
     1116, 1117, 1117, 1117, 1117, 1117, 1117, 1117, 1117, 1117,
     1118, 1118, 1118, 1118, 1118, 1118, 1118, 1118, 1118, 1119,
     1119,    0, 1119, 1119, 1119, 1119, 1119, 1119, 1120, 1120,
     1120, 1120, 1120, 1120, 1120, 1120, 1120, 1121, 1121, 1121,
     1121, 1121, 1121, 1121, 1121, 1121, 1122, 1122, 1122, 1122,
     1122, 1122, 1122, 1122, 1122, 1123, 1123, 1123,    0, 1123,
     1123, 1123, 1123, 1124, 1124, 1124, 1124, 1124, 1124, 1124,

     1124, 1124, 1125, 1125, 1125, 1125, 1125, 1125, 1125, 1125,
     1125, 1126, 1126, 1126, 1126, 1126, 1126, 1126, 1126, 1126,
     1127, 1127,    0, 1127, 1127, 1127, 1127, 1127, 1127, 1128,
     1128,    0, 1128, 1128, 1128, 1128, 1128, 1128, 1129, 1129,
     1129, 1129, 1129, 1129, 1129, 1129, 1129, 1130, 1130, 1130,
     1130, 1130, 1130, 1130, 1130, 1130, 1131, 1131, 1131, 1131,
     1131, 1131, 1131, 1131, 1131, 1132, 1132, 1132, 1132, 1132,
     1132, 1132, 1132, 1132, 1133, 1133, 1133, 1133, 1133, 1133,
     1133, 1133, 1133, 1134, 1134, 1134, 1134, 1134, 1134, 1134,
     1134, 1134, 1135, 1135, 1135, 1135, 1135, 1135, 1135, 1135,

     1135, 1136, 1136,    0,    0, 1136, 1136, 1136, 1136, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102,
     1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102, 1102
    } ;

static yy_state_type yy_last_accepting_state;
static char *yy_last_accepting_cpos;

extern int yy_flex_debug;
int yy_flex_debug = 0;

/* The intent behind this definition is that it'll catch
 * any uses of REJECT which flex missed.
 */
#define REJECT reject_used_but_not_detected
#define yymore() yymore_used_but_not_detected
#define YY_MORE_ADJ 0
#define YY_RESTORE_YY_MORE_OFFSET
char *yytext;
#line 1 "css.l"

#line 13 "css.l"
/* Lex source for CSS tokenizing.
   Taken from http://www.w3.org/TR/CSS21/grammar.html#q2
   Copyright (C) 2006, 2009-2011, 2015, 2018 Free Software Foundation,
   Inc.

This file is part of GNU Wget.

GNU Wget is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or (at
your option) any later version.

GNU Wget is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Wget.  If not, see <http://www.gnu.org/licenses/>.

Additional permission under GNU GPL version 3 section 7

If you modify this program, or any covered work, by linking or
combining it with the OpenSSL project's OpenSSL library (or a
modified version of that library), containing parts covered by the
terms of the OpenSSL or SSLeay licenses, the Free Software Foundation
grants you additional permission to convey the resulting work.
Corresponding Source for a non-source form of such a combination
shall include the source code for the parts of OpenSSL used as well
as that of the covered work.  */

#define YY_NO_INPUT

#include "css-tokens.h"

#if defined __clang__ || __GNUC__ > 4 || (__GNUC__ == 4 && __GNUC_MINOR__ >= 5)
  #pragma GCC diagnostic ignored "-Wunknown-pragmas" // clang mourns about the next one
  #pragma GCC diagnostic ignored "-Wunused-function"
  #pragma GCC diagnostic ignored "-Wunused-macros"
  #pragma GCC diagnostic ignored "-Wunused-parameter"
  #pragma GCC diagnostic ignored "-Wsign-compare"
  #pragma GCC diagnostic ignored "-Wswitch-default"
  #pragma GCC diagnostic ignored "-Wunreachable-code" // clang
  #pragma clang diagnostic ignored "-Wshorten-64-to-32"
  #ifndef __clang__
    #pragma GCC diagnostic ignored "-Wsuggest-attribute=pure"
  #endif
#endif

#line 2453 "css.c"
#line 2454 "css.c"

#define INITIAL 0

#ifndef YY_NO_UNISTD_H
/* Special case for "unistd.h", since it is non-ANSI. We include it way
 * down here because we want the user's section 1 to have been scanned first.
 * The user has a chance to override it with an option.
 */
#include <unistd.h>
#endif

#ifndef YY_EXTRA_TYPE
#define YY_EXTRA_TYPE void *
#endif

static int yy_init_globals ( void );

/* Accessor methods to globals.
   These are made visible to non-reentrant scanners for convenience. */

int yylex_destroy ( void );

int yyget_debug ( void );

void yyset_debug ( int debug_flag  );

YY_EXTRA_TYPE yyget_extra ( void );

void yyset_extra ( YY_EXTRA_TYPE user_defined  );

FILE *yyget_in ( void );

void yyset_in  ( FILE * _in_str  );

FILE *yyget_out ( void );

void yyset_out  ( FILE * _out_str  );

			int yyget_leng ( void );

char *yyget_text ( void );

int yyget_lineno ( void );

void yyset_lineno ( int _line_number  );

/* Macros after this point can all be overridden by user definitions in
 * section 1.
 */

#ifndef YY_SKIP_YYWRAP
#ifdef __cplusplus
extern "C" int yywrap ( void );
#else
extern int yywrap ( void );
#endif
#endif

#ifndef YY_NO_UNPUT
    
#endif

#ifndef yytext_ptr
static void yy_flex_strncpy ( char *, const char *, int );
#endif

#ifdef YY_NEED_STRLEN
static int yy_flex_strlen ( const char * );
#endif

#ifndef YY_NO_INPUT
#ifdef __cplusplus
static int yyinput ( void );
#else
static int input ( void );
#endif

#endif

/* Amount of stuff to slurp up with each read. */
#ifndef YY_READ_BUF_SIZE
#ifdef __ia64__
/* On IA-64, the buffer size is 16k, not 8k */
#define YY_READ_BUF_SIZE 16384
#else
#define YY_READ_BUF_SIZE 8192
#endif /* __ia64__ */
#endif

/* Copy whatever the last rule matched to the standard output. */
#ifndef ECHO
/* This used to be an fputs(), but since the string might contain NUL's,
 * we now use fwrite().
 */
#define ECHO do { if (fwrite( yytext, (size_t) yyleng, 1, yyout )) {} } while (0)
#endif

/* Gets input and stuffs it into "buf".  number of characters read, or YY_NULL,
 * is returned in "result".
 */
#ifndef YY_INPUT
#define YY_INPUT(buf,result,max_size) \
	if ( YY_CURRENT_BUFFER_LVALUE->yy_is_interactive ) \
		{ \
		int c = '*'; \
		int n; \
		for ( n = 0; n < max_size && \
			     (c = getc( yyin )) != EOF && c != '\n'; ++n ) \
			buf[n] = (char) c; \
		if ( c == '\n' ) \
			buf[n++] = (char) c; \
		if ( c == EOF && ferror( yyin ) ) \
			YY_FATAL_ERROR( "input in flex scanner failed" ); \
		result = n; \
		} \
	else \
		{ \
		errno=0; \
		while ( (result = (int) fread(buf, 1, (yy_size_t) max_size, yyin)) == 0 && ferror(yyin)) \
			{ \
			if( errno != EINTR) \
				{ \
				YY_FATAL_ERROR( "input in flex scanner failed" ); \
				break; \
				} \
			errno=0; \
			clearerr(yyin); \
			} \
		}\
\

#endif

/* No semi-colon after return; correct usage is to write "yyterminate();" -
 * we don't want an extra ';' after the "return" because that will cause
 * some compilers to complain about unreachable statements.
 */
#ifndef yyterminate
#define yyterminate() return YY_NULL
#endif

/* Number of entries by which start-condition stack grows. */
#ifndef YY_START_STACK_INCR
#define YY_START_STACK_INCR 25
#endif

/* Report a fatal error. */
#ifndef YY_FATAL_ERROR
#define YY_FATAL_ERROR(msg) yy_fatal_error( msg )
#endif

/* end tables serialization structures and prototypes */

/* Default declaration of generated scanner - a define so the user can
 * easily add parameters.
 */
#ifndef YY_DECL
#define YY_DECL_IS_OURS 1

extern int yylex (void);

#define YY_DECL int yylex (void)
#endif /* !YY_DECL */

/* Code executed at the beginning of each rule, after yytext and yyleng
 * have been set up.
 */
#ifndef YY_USER_ACTION
#define YY_USER_ACTION
#endif

/* Code executed at the end of each rule. */
#ifndef YY_BREAK
#define YY_BREAK /*LINTED*/break;
#endif

#define YY_RULE_SETUP \
	YY_USER_ACTION

/** The main scanner function which does all the work.
 */
YY_DECL
{
	yy_state_type yy_current_state;
	char *yy_cp, *yy_bp;
	int yy_act;
    
	if ( !(yy_init) )
		{
		(yy_init) = 1;

#ifdef YY_USER_INIT
		YY_USER_INIT;
#endif

		if ( ! (yy_start) )
			(yy_start) = 1;	/* first start state */

		if ( ! yyin )
			yyin = stdin;

		if ( ! yyout )
			yyout = stdout;

		if ( ! YY_CURRENT_BUFFER ) {
			yyensure_buffer_stack ();
			YY_CURRENT_BUFFER_LVALUE =
				yy_create_buffer( yyin, YY_BUF_SIZE );
		}

		yy_load_buffer_state(  );
		}

	{
#line 112 "css.l"


#line 2672 "css.c"

	while ( /*CONSTCOND*/1 )		/* loops until end-of-file is reached */
		{
		yy_cp = (yy_c_buf_p);

		/* Support of yytext. */
		*yy_cp = (yy_hold_char);

		/* yy_bp points to the position in yy_ch_buf of the start of
		 * the current run.
		 */
		yy_bp = yy_cp;

		yy_current_state = (yy_start);
yy_match:
		do
			{
			YY_CHAR yy_c = yy_ec[YY_SC_TO_UI(*yy_cp)] ;
			if ( yy_accept[yy_current_state] )
				{
				(yy_last_accepting_state) = yy_current_state;
				(yy_last_accepting_cpos) = yy_cp;
				}
			while ( yy_chk[yy_base[yy_current_state] + yy_c] != yy_current_state )
				{
				yy_current_state = (int) yy_def[yy_current_state];
				if ( yy_current_state >= 1103 )
					yy_c = yy_meta[yy_c];
				}
			yy_current_state = yy_nxt[yy_base[yy_current_state] + yy_c];
			++yy_cp;
			}
		while ( yy_current_state != 1102 );
		yy_cp = (yy_last_accepting_cpos);
		yy_current_state = (yy_last_accepting_state);

yy_find_action:
		yy_act = yy_accept[yy_current_state];

		YY_DO_BEFORE_ACTION;

do_action:	/* This label is used only to access EOF actions. */

		switch ( yy_act )
	{ /* beginning of action switch */
			case 0: /* must back up */
			/* undo the effects of YY_DO_BEFORE_ACTION */
			*yy_cp = (yy_hold_char);
			yy_cp = (yy_last_accepting_cpos);
			yy_current_state = (yy_last_accepting_state);
			goto yy_find_action;

case 1:
/* rule 1 can match eol */
YY_RULE_SETUP
#line 114 "css.l"
{return S;}
	YY_BREAK
case 2:
/* rule 2 can match eol */
YY_RULE_SETUP
#line 116 "css.l"
{return COMMENT;}
	YY_BREAK
case 3:
/* rule 3 can match eol */
YY_RULE_SETUP
#line 117 "css.l"
/* ignore comments */
	YY_BREAK
case 4:
/* rule 4 can match eol */
YY_RULE_SETUP
#line 118 "css.l"
/* unclosed comment at EOF */
	YY_BREAK
case 5:
YY_RULE_SETUP
#line 120 "css.l"
{return CDO;}
	YY_BREAK
case 6:
YY_RULE_SETUP
#line 121 "css.l"
{return CDC;}
	YY_BREAK
case 7:
YY_RULE_SETUP
#line 122 "css.l"
{return INCLUDES;}
	YY_BREAK
case 8:
YY_RULE_SETUP
#line 123 "css.l"
{return DASHMATCH;}
	YY_BREAK
case 9:
/* rule 9 can match eol */
YY_RULE_SETUP
#line 125 "css.l"
{return STRING;}
	YY_BREAK
case 10:
/* rule 10 can match eol */
YY_RULE_SETUP
#line 126 "css.l"
{return BAD_STRING;}
	YY_BREAK
case 11:
/* rule 11 can match eol */
YY_RULE_SETUP
#line 128 "css.l"
{return IDENT;}
	YY_BREAK
case 12:
/* rule 12 can match eol */
YY_RULE_SETUP
#line 130 "css.l"
{return HASH;}
	YY_BREAK
case 13:
/* rule 13 can match eol */
YY_RULE_SETUP
#line 132 "css.l"
{return IMPORT_SYM;}
	YY_BREAK
case 14:
/* rule 14 can match eol */
YY_RULE_SETUP
#line 133 "css.l"
{return PAGE_SYM;}
	YY_BREAK
case 15:
/* rule 15 can match eol */
YY_RULE_SETUP
#line 134 "css.l"
{return MEDIA_SYM;}
	YY_BREAK
case 16:
YY_RULE_SETUP
#line 135 "css.l"
{return CHARSET_SYM;}
	YY_BREAK
case 17:
/* rule 17 can match eol */
YY_RULE_SETUP
#line 137 "css.l"
{return IMPORTANT_SYM;}
	YY_BREAK
case 18:
/* rule 18 can match eol */
YY_RULE_SETUP
#line 139 "css.l"
{return EMS;}
	YY_BREAK
case 19:
/* rule 19 can match eol */
YY_RULE_SETUP
#line 140 "css.l"
{return EXS;}
	YY_BREAK
case 20:
/* rule 20 can match eol */
YY_RULE_SETUP
#line 141 "css.l"
{return LENGTH;}
	YY_BREAK
case 21:
/* rule 21 can match eol */
YY_RULE_SETUP
#line 142 "css.l"
{return LENGTH;}
	YY_BREAK
case 22:
/* rule 22 can match eol */
YY_RULE_SETUP
#line 143 "css.l"
{return LENGTH;}
	YY_BREAK
case 23:
/* rule 23 can match eol */
YY_RULE_SETUP
#line 144 "css.l"
{return LENGTH;}
	YY_BREAK
case 24:
/* rule 24 can match eol */
YY_RULE_SETUP
#line 145 "css.l"
{return LENGTH;}
	YY_BREAK
case 25:
/* rule 25 can match eol */
YY_RULE_SETUP
#line 146 "css.l"
{return LENGTH;}
	YY_BREAK
case 26:
/* rule 26 can match eol */
YY_RULE_SETUP
#line 147 "css.l"
{return ANGLE;}
	YY_BREAK
case 27:
/* rule 27 can match eol */
YY_RULE_SETUP
#line 148 "css.l"
{return ANGLE;}
	YY_BREAK
case 28:
/* rule 28 can match eol */
YY_RULE_SETUP
#line 149 "css.l"
{return ANGLE;}
	YY_BREAK
case 29:
/* rule 29 can match eol */
YY_RULE_SETUP
#line 150 "css.l"
{return TIME;}
	YY_BREAK
case 30:
/* rule 30 can match eol */
YY_RULE_SETUP
#line 151 "css.l"
{return TIME;}
	YY_BREAK
case 31:
/* rule 31 can match eol */
YY_RULE_SETUP
#line 152 "css.l"
{return FREQ;}
	YY_BREAK
case 32:
/* rule 32 can match eol */
YY_RULE_SETUP
#line 153 "css.l"
{return FREQ;}
	YY_BREAK
case 33:
/* rule 33 can match eol */
YY_RULE_SETUP
#line 154 "css.l"
{return DIMENSION;}
	YY_BREAK
case 34:
YY_RULE_SETUP
#line 156 "css.l"
{return PERCENTAGE;}
	YY_BREAK
case 35:
YY_RULE_SETUP
#line 157 "css.l"
{return NUMBER;}
	YY_BREAK
case 36:
/* rule 36 can match eol */
YY_RULE_SETUP
#line 159 "css.l"
{return URI;}
	YY_BREAK
case 37:
/* rule 37 can match eol */
YY_RULE_SETUP
#line 160 "css.l"
{return URI;}
	YY_BREAK
case 38:
/* rule 38 can match eol */
YY_RULE_SETUP
#line 161 "css.l"
{return BAD_URI;}
	YY_BREAK
case 39:
/* rule 39 can match eol */
YY_RULE_SETUP
#line 163 "css.l"
{return FUNCTION;}
	YY_BREAK
case 40:
YY_RULE_SETUP
#line 165 "css.l"
{return *yytext;}
	YY_BREAK
case 41:
YY_RULE_SETUP
#line 167 "css.l"
ECHO;
	YY_BREAK
#line 2962 "css.c"
case YY_STATE_EOF(INITIAL):
	yyterminate();

	case YY_END_OF_BUFFER:
		{
		/* Amount of text matched not including the EOB char. */
		int yy_amount_of_matched_text = (int) (yy_cp - (yytext_ptr)) - 1;

		/* Undo the effects of YY_DO_BEFORE_ACTION. */
		*yy_cp = (yy_hold_char);
		YY_RESTORE_YY_MORE_OFFSET

		if ( YY_CURRENT_BUFFER_LVALUE->yy_buffer_status == YY_BUFFER_NEW )
			{
			/* We're scanning a new file or input source.  It's
			 * possible that this happened because the user
			 * just pointed yyin at a new source and called
			 * yylex().  If so, then we have to assure
			 * consistency between YY_CURRENT_BUFFER and our
			 * globals.  Here is the right place to do so, because
			 * this is the first action (other than possibly a
			 * back-up) that will match for the new input source.
			 */
			(yy_n_chars) = YY_CURRENT_BUFFER_LVALUE->yy_n_chars;
			YY_CURRENT_BUFFER_LVALUE->yy_input_file = yyin;
			YY_CURRENT_BUFFER_LVALUE->yy_buffer_status = YY_BUFFER_NORMAL;
			}

		/* Note that here we test for yy_c_buf_p "<=" to the position
		 * of the first EOB in the buffer, since yy_c_buf_p will
		 * already have been incremented past the NUL character
		 * (since all states make transitions on EOB to the
		 * end-of-buffer state).  Contrast this with the test
		 * in input().
		 */
		if ( (yy_c_buf_p) <= &YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[(yy_n_chars)] )
			{ /* This was really a NUL. */
			yy_state_type yy_next_state;

			(yy_c_buf_p) = (yytext_ptr) + yy_amount_of_matched_text;

			yy_current_state = yy_get_previous_state(  );

			/* Okay, we're now positioned to make the NUL
			 * transition.  We couldn't have
			 * yy_get_previous_state() go ahead and do it
			 * for us because it doesn't know how to deal
			 * with the possibility of jamming (and we don't
			 * want to build jamming into it because then it
			 * will run more slowly).
			 */

			yy_next_state = yy_try_NUL_trans( yy_current_state );

			yy_bp = (yytext_ptr) + YY_MORE_ADJ;

			if ( yy_next_state )
				{
				/* Consume the NUL. */
				yy_cp = ++(yy_c_buf_p);
				yy_current_state = yy_next_state;
				goto yy_match;
				}

			else
				{
				yy_cp = (yy_last_accepting_cpos);
				yy_current_state = (yy_last_accepting_state);
				goto yy_find_action;
				}
			}

		else switch ( yy_get_next_buffer(  ) )
			{
			case EOB_ACT_END_OF_FILE:
				{
				(yy_did_buffer_switch_on_eof) = 0;

				if ( yywrap(  ) )
					{
					/* Note: because we've taken care in
					 * yy_get_next_buffer() to have set up
					 * yytext, we can now set up
					 * yy_c_buf_p so that if some total
					 * hoser (like flex itself) wants to
					 * call the scanner after we return the
					 * YY_NULL, it'll still work - another
					 * YY_NULL will get returned.
					 */
					(yy_c_buf_p) = (yytext_ptr) + YY_MORE_ADJ;

					yy_act = YY_STATE_EOF(YY_START);
					goto do_action;
					}

				else
					{
					if ( ! (yy_did_buffer_switch_on_eof) )
						YY_NEW_FILE;
					}
				break;
				}

			case EOB_ACT_CONTINUE_SCAN:
				(yy_c_buf_p) =
					(yytext_ptr) + yy_amount_of_matched_text;

				yy_current_state = yy_get_previous_state(  );

				yy_cp = (yy_c_buf_p);
				yy_bp = (yytext_ptr) + YY_MORE_ADJ;
				goto yy_match;

			case EOB_ACT_LAST_MATCH:
				(yy_c_buf_p) =
				&YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[(yy_n_chars)];

				yy_current_state = yy_get_previous_state(  );

				yy_cp = (yy_c_buf_p);
				yy_bp = (yytext_ptr) + YY_MORE_ADJ;
				goto yy_find_action;
			}
		break;
		}

	default:
		YY_FATAL_ERROR(
			"fatal flex scanner internal error--no action found" );
	} /* end of action switch */
		} /* end of scanning one token */
	} /* end of user's declarations */
} /* end of yylex */

/* yy_get_next_buffer - try to read in a new buffer
 *
 * Returns a code representing an action:
 *	EOB_ACT_LAST_MATCH -
 *	EOB_ACT_CONTINUE_SCAN - continue scanning from current position
 *	EOB_ACT_END_OF_FILE - end of file
 */
static int yy_get_next_buffer (void)
{
    	char *dest = YY_CURRENT_BUFFER_LVALUE->yy_ch_buf;
	char *source = (yytext_ptr);
	int number_to_move, i;
	int ret_val;

	if ( (yy_c_buf_p) > &YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[(yy_n_chars) + 1] )
		YY_FATAL_ERROR(
		"fatal flex scanner internal error--end of buffer missed" );

	if ( YY_CURRENT_BUFFER_LVALUE->yy_fill_buffer == 0 )
		{ /* Don't try to fill the buffer, so this is an EOF. */
		if ( (yy_c_buf_p) - (yytext_ptr) - YY_MORE_ADJ == 1 )
			{
			/* We matched a single character, the EOB, so
			 * treat this as a final EOF.
			 */
			return EOB_ACT_END_OF_FILE;
			}

		else
			{
			/* We matched some text prior to the EOB, first
			 * process it.
			 */
			return EOB_ACT_LAST_MATCH;
			}
		}

	/* Try to read more data. */

	/* First move last chars to start of buffer. */
	number_to_move = (int) ((yy_c_buf_p) - (yytext_ptr) - 1);

	for ( i = 0; i < number_to_move; ++i )
		*(dest++) = *(source++);

	if ( YY_CURRENT_BUFFER_LVALUE->yy_buffer_status == YY_BUFFER_EOF_PENDING )
		/* don't do the read, it's not guaranteed to return an EOF,
		 * just force an EOF
		 */
		YY_CURRENT_BUFFER_LVALUE->yy_n_chars = (yy_n_chars) = 0;

	else
		{
			int num_to_read =
			YY_CURRENT_BUFFER_LVALUE->yy_buf_size - number_to_move - 1;

		while ( num_to_read <= 0 )
			{ /* Not enough room in the buffer - grow it. */

			/* just a shorter name for the current buffer */
			YY_BUFFER_STATE b = YY_CURRENT_BUFFER_LVALUE;

			int yy_c_buf_p_offset =
				(int) ((yy_c_buf_p) - b->yy_ch_buf);

			if ( b->yy_is_our_buffer )
				{
				int new_size = b->yy_buf_size * 2;

				if ( new_size <= 0 )
					b->yy_buf_size += b->yy_buf_size / 8;
				else
					b->yy_buf_size *= 2;

				b->yy_ch_buf = (char *)
					/* Include room in for 2 EOB chars. */
					yyrealloc( (void *) b->yy_ch_buf,
							 (yy_size_t) (b->yy_buf_size + 2)  );
				}
			else
				/* Can't grow it, we don't own it. */
				b->yy_ch_buf = NULL;

			if ( ! b->yy_ch_buf )
				YY_FATAL_ERROR(
				"fatal error - scanner input buffer overflow" );

			(yy_c_buf_p) = &b->yy_ch_buf[yy_c_buf_p_offset];

			num_to_read = YY_CURRENT_BUFFER_LVALUE->yy_buf_size -
						number_to_move - 1;

			}

		if ( num_to_read > YY_READ_BUF_SIZE )
			num_to_read = YY_READ_BUF_SIZE;

		/* Read in more data. */
		YY_INPUT( (&YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[number_to_move]),
			(yy_n_chars), num_to_read );

		YY_CURRENT_BUFFER_LVALUE->yy_n_chars = (yy_n_chars);
		}

	if ( (yy_n_chars) == 0 )
		{
		if ( number_to_move == YY_MORE_ADJ )
			{
			ret_val = EOB_ACT_END_OF_FILE;
			yyrestart( yyin  );
			}

		else
			{
			ret_val = EOB_ACT_LAST_MATCH;
			YY_CURRENT_BUFFER_LVALUE->yy_buffer_status =
				YY_BUFFER_EOF_PENDING;
			}
		}

	else
		ret_val = EOB_ACT_CONTINUE_SCAN;

	if (((yy_n_chars) + number_to_move) > YY_CURRENT_BUFFER_LVALUE->yy_buf_size) {
		/* Extend the array by 50%, plus the number we really need. */
		int new_size = (yy_n_chars) + number_to_move + ((yy_n_chars) >> 1);
		YY_CURRENT_BUFFER_LVALUE->yy_ch_buf = (char *) yyrealloc(
			(void *) YY_CURRENT_BUFFER_LVALUE->yy_ch_buf, (yy_size_t) new_size  );
		if ( ! YY_CURRENT_BUFFER_LVALUE->yy_ch_buf )
			YY_FATAL_ERROR( "out of dynamic memory in yy_get_next_buffer()" );
		/* "- 2" to take care of EOB's */
		YY_CURRENT_BUFFER_LVALUE->yy_buf_size = (int) (new_size - 2);
	}

	(yy_n_chars) += number_to_move;
	YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[(yy_n_chars)] = YY_END_OF_BUFFER_CHAR;
	YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[(yy_n_chars) + 1] = YY_END_OF_BUFFER_CHAR;

	(yytext_ptr) = &YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[0];

	return ret_val;
}

/* yy_get_previous_state - get the state just before the EOB char was reached */

    static yy_state_type yy_get_previous_state (void)
{
	yy_state_type yy_current_state;
	char *yy_cp;
    
	yy_current_state = (yy_start);

	for ( yy_cp = (yytext_ptr) + YY_MORE_ADJ; yy_cp < (yy_c_buf_p); ++yy_cp )
		{
		YY_CHAR yy_c = (*yy_cp ? yy_ec[YY_SC_TO_UI(*yy_cp)] : 1);
		if ( yy_accept[yy_current_state] )
			{
			(yy_last_accepting_state) = yy_current_state;
			(yy_last_accepting_cpos) = yy_cp;
			}
		while ( yy_chk[yy_base[yy_current_state] + yy_c] != yy_current_state )
			{
			yy_current_state = (int) yy_def[yy_current_state];
			if ( yy_current_state >= 1103 )
				yy_c = yy_meta[yy_c];
			}
		yy_current_state = yy_nxt[yy_base[yy_current_state] + yy_c];
		}

	return yy_current_state;
}

/* yy_try_NUL_trans - try to make a transition on the NUL character
 *
 * synopsis
 *	next_state = yy_try_NUL_trans( current_state );
 */
    static yy_state_type yy_try_NUL_trans  (yy_state_type yy_current_state )
{
	int yy_is_jam;
    	char *yy_cp = (yy_c_buf_p);

	YY_CHAR yy_c = 1;
	if ( yy_accept[yy_current_state] )
		{
		(yy_last_accepting_state) = yy_current_state;
		(yy_last_accepting_cpos) = yy_cp;
		}
	while ( yy_chk[yy_base[yy_current_state] + yy_c] != yy_current_state )
		{
		yy_current_state = (int) yy_def[yy_current_state];
		if ( yy_current_state >= 1103 )
			yy_c = yy_meta[yy_c];
		}
	yy_current_state = yy_nxt[yy_base[yy_current_state] + yy_c];
	yy_is_jam = (yy_current_state == 1102);

		return yy_is_jam ? 0 : yy_current_state;
}

#ifndef YY_NO_UNPUT

#endif

#ifndef YY_NO_INPUT
#ifdef __cplusplus
    static int yyinput (void)
#else
    static int input  (void)
#endif

{
	int c;
    
	*(yy_c_buf_p) = (yy_hold_char);

	if ( *(yy_c_buf_p) == YY_END_OF_BUFFER_CHAR )
		{
		/* yy_c_buf_p now points to the character we want to return.
		 * If this occurs *before* the EOB characters, then it's a
		 * valid NUL; if not, then we've hit the end of the buffer.
		 */
		if ( (yy_c_buf_p) < &YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[(yy_n_chars)] )
			/* This was really a NUL. */
			*(yy_c_buf_p) = '\0';

		else
			{ /* need more input */
			int offset = (int) ((yy_c_buf_p) - (yytext_ptr));
			++(yy_c_buf_p);

			switch ( yy_get_next_buffer(  ) )
				{
				case EOB_ACT_LAST_MATCH:
					/* This happens because yy_g_n_b()
					 * sees that we've accumulated a
					 * token and flags that we need to
					 * try matching the token before
					 * proceeding.  But for input(),
					 * there's no matching to consider.
					 * So convert the EOB_ACT_LAST_MATCH
					 * to EOB_ACT_END_OF_FILE.
					 */

					/* Reset buffer status. */
					yyrestart( yyin );

					/*FALLTHROUGH*/

				case EOB_ACT_END_OF_FILE:
					{
					if ( yywrap(  ) )
						return 0;

					if ( ! (yy_did_buffer_switch_on_eof) )
						YY_NEW_FILE;
#ifdef __cplusplus
					return yyinput();
#else
					return input();
#endif
					}

				case EOB_ACT_CONTINUE_SCAN:
					(yy_c_buf_p) = (yytext_ptr) + offset;
					break;
				}
			}
		}

	c = *(unsigned char *) (yy_c_buf_p);	/* cast for 8-bit char's */
	*(yy_c_buf_p) = '\0';	/* preserve yytext */
	(yy_hold_char) = *++(yy_c_buf_p);

	return c;
}
#endif	/* ifndef YY_NO_INPUT */

/** Immediately switch to a different input stream.
 * @param input_file A readable stream.
 * 
 * @note This function does not reset the start condition to @c INITIAL .
 */
    void yyrestart  (FILE * input_file )
{
    
	if ( ! YY_CURRENT_BUFFER ){
        yyensure_buffer_stack ();
		YY_CURRENT_BUFFER_LVALUE =
            yy_create_buffer( yyin, YY_BUF_SIZE );
	}

	yy_init_buffer( YY_CURRENT_BUFFER, input_file );
	yy_load_buffer_state(  );
}

/** Switch to a different input buffer.
 * @param new_buffer The new input buffer.
 * 
 */
    void yy_switch_to_buffer  (YY_BUFFER_STATE  new_buffer )
{
    
	/* TODO. We should be able to replace this entire function body
	 * with
	 *		yypop_buffer_state();
	 *		yypush_buffer_state(new_buffer);
     */
	yyensure_buffer_stack ();
	if ( YY_CURRENT_BUFFER == new_buffer )
		return;

	if ( YY_CURRENT_BUFFER )
		{
		/* Flush out information for old buffer. */
		*(yy_c_buf_p) = (yy_hold_char);
		YY_CURRENT_BUFFER_LVALUE->yy_buf_pos = (yy_c_buf_p);
		YY_CURRENT_BUFFER_LVALUE->yy_n_chars = (yy_n_chars);
		}

	YY_CURRENT_BUFFER_LVALUE = new_buffer;
	yy_load_buffer_state(  );

	/* We don't actually know whether we did this switch during
	 * EOF (yywrap()) processing, but the only time this flag
	 * is looked at is after yywrap() is called, so it's safe
	 * to go ahead and always set it.
	 */
	(yy_did_buffer_switch_on_eof) = 1;
}

static void yy_load_buffer_state  (void)
{
    	(yy_n_chars) = YY_CURRENT_BUFFER_LVALUE->yy_n_chars;
	(yytext_ptr) = (yy_c_buf_p) = YY_CURRENT_BUFFER_LVALUE->yy_buf_pos;
	yyin = YY_CURRENT_BUFFER_LVALUE->yy_input_file;
	(yy_hold_char) = *(yy_c_buf_p);
}

/** Allocate and initialize an input buffer state.
 * @param file A readable stream.
 * @param size The character buffer size in bytes. When in doubt, use @c YY_BUF_SIZE.
 * 
 * @return the allocated buffer state.
 */
    YY_BUFFER_STATE yy_create_buffer  (FILE * file, int  size )
{
	YY_BUFFER_STATE b;
    
	b = (YY_BUFFER_STATE) yyalloc( sizeof( struct yy_buffer_state )  );
	if ( ! b )
		YY_FATAL_ERROR( "out of dynamic memory in yy_create_buffer()" );

	b->yy_buf_size = size;

	/* yy_ch_buf has to be 2 characters longer than the size given because
	 * we need to put in 2 end-of-buffer characters.
	 */
	b->yy_ch_buf = (char *) yyalloc( (yy_size_t) (b->yy_buf_size + 2)  );
	if ( ! b->yy_ch_buf )
		YY_FATAL_ERROR( "out of dynamic memory in yy_create_buffer()" );

	b->yy_is_our_buffer = 1;

	yy_init_buffer( b, file );

	return b;
}

/** Destroy the buffer.
 * @param b a buffer created with yy_create_buffer()
 * 
 */
    void yy_delete_buffer (YY_BUFFER_STATE  b )
{
    
	if ( ! b )
		return;

	if ( b == YY_CURRENT_BUFFER ) /* Not sure if we should pop here. */
		YY_CURRENT_BUFFER_LVALUE = (YY_BUFFER_STATE) 0;

	if ( b->yy_is_our_buffer )
		yyfree( (void *) b->yy_ch_buf  );

	yyfree( (void *) b  );
}

/* Initializes or reinitializes a buffer.
 * This function is sometimes called more than once on the same buffer,
 * such as during a yyrestart() or at EOF.
 */
    static void yy_init_buffer  (YY_BUFFER_STATE  b, FILE * file )

{
	int oerrno = errno;
    
	yy_flush_buffer( b );

	b->yy_input_file = file;
	b->yy_fill_buffer = 1;

    /* If b is the current buffer, then yy_init_buffer was _probably_
     * called from yyrestart() or through yy_get_next_buffer.
     * In that case, we don't want to reset the lineno or column.
     */
    if (b != YY_CURRENT_BUFFER){
        b->yy_bs_lineno = 1;
        b->yy_bs_column = 0;
    }

        b->yy_is_interactive = 0;
    
	errno = oerrno;
}

/** Discard all buffered characters. On the next scan, YY_INPUT will be called.
 * @param b the buffer state to be flushed, usually @c YY_CURRENT_BUFFER.
 * 
 */
    void yy_flush_buffer (YY_BUFFER_STATE  b )
{
    	if ( ! b )
		return;

	b->yy_n_chars = 0;

	/* We always need two end-of-buffer characters.  The first causes
	 * a transition to the end-of-buffer state.  The second causes
	 * a jam in that state.
	 */
	b->yy_ch_buf[0] = YY_END_OF_BUFFER_CHAR;
	b->yy_ch_buf[1] = YY_END_OF_BUFFER_CHAR;

	b->yy_buf_pos = &b->yy_ch_buf[0];

	b->yy_at_bol = 1;
	b->yy_buffer_status = YY_BUFFER_NEW;

	if ( b == YY_CURRENT_BUFFER )
		yy_load_buffer_state(  );
}

/** Pushes the new state onto the stack. The new state becomes
 *  the current state. This function will allocate the stack
 *  if necessary.
 *  @param new_buffer The new state.
 *  
 */
void yypush_buffer_state (YY_BUFFER_STATE new_buffer )
{
    	if (new_buffer == NULL)
		return;

	yyensure_buffer_stack();

	/* This block is copied from yy_switch_to_buffer. */
	if ( YY_CURRENT_BUFFER )
		{
		/* Flush out information for old buffer. */
		*(yy_c_buf_p) = (yy_hold_char);
		YY_CURRENT_BUFFER_LVALUE->yy_buf_pos = (yy_c_buf_p);
		YY_CURRENT_BUFFER_LVALUE->yy_n_chars = (yy_n_chars);
		}

	/* Only push if top exists. Otherwise, replace top. */
	if (YY_CURRENT_BUFFER)
		(yy_buffer_stack_top)++;
	YY_CURRENT_BUFFER_LVALUE = new_buffer;

	/* copied from yy_switch_to_buffer. */
	yy_load_buffer_state(  );
	(yy_did_buffer_switch_on_eof) = 1;
}

/** Removes and deletes the top of the stack, if present.
 *  The next element becomes the new top.
 *  
 */
void yypop_buffer_state (void)
{
    	if (!YY_CURRENT_BUFFER)
		return;

	yy_delete_buffer(YY_CURRENT_BUFFER );
	YY_CURRENT_BUFFER_LVALUE = NULL;
	if ((yy_buffer_stack_top) > 0)
		--(yy_buffer_stack_top);

	if (YY_CURRENT_BUFFER) {
		yy_load_buffer_state(  );
		(yy_did_buffer_switch_on_eof) = 1;
	}
}

/* Allocates the stack if it does not exist.
 *  Guarantees space for at least one push.
 */
static void yyensure_buffer_stack (void)
{
	yy_size_t num_to_alloc;
    
	if (!(yy_buffer_stack)) {

		/* First allocation is just for 2 elements, since we don't know if this
		 * scanner will even need a stack. We use 2 instead of 1 to avoid an
		 * immediate realloc on the next call.
         */
      num_to_alloc = 1; /* After all that talk, this was set to 1 anyways... */
		(yy_buffer_stack) = (struct yy_buffer_state**)yyalloc
								(num_to_alloc * sizeof(struct yy_buffer_state*)
								);
		if ( ! (yy_buffer_stack) )
			YY_FATAL_ERROR( "out of dynamic memory in yyensure_buffer_stack()" );

		memset((yy_buffer_stack), 0, num_to_alloc * sizeof(struct yy_buffer_state*));

		(yy_buffer_stack_max) = num_to_alloc;
		(yy_buffer_stack_top) = 0;
		return;
	}

	if ((yy_buffer_stack_top) >= ((yy_buffer_stack_max)) - 1){

		/* Increase the buffer to prepare for a possible push. */
		yy_size_t grow_size = 8 /* arbitrary grow size */;

		num_to_alloc = (yy_buffer_stack_max) + grow_size;
		(yy_buffer_stack) = (struct yy_buffer_state**)yyrealloc
								((yy_buffer_stack),
								num_to_alloc * sizeof(struct yy_buffer_state*)
								);
		if ( ! (yy_buffer_stack) )
			YY_FATAL_ERROR( "out of dynamic memory in yyensure_buffer_stack()" );

		/* zero only the new slots.*/
		memset((yy_buffer_stack) + (yy_buffer_stack_max), 0, grow_size * sizeof(struct yy_buffer_state*));
		(yy_buffer_stack_max) = num_to_alloc;
	}
}

/** Setup the input buffer state to scan directly from a user-specified character buffer.
 * @param base the character buffer
 * @param size the size in bytes of the character buffer
 * 
 * @return the newly allocated buffer state object.
 */
YY_BUFFER_STATE yy_scan_buffer  (char * base, yy_size_t  size )
{
	YY_BUFFER_STATE b;
    
	if ( size < 2 ||
	     base[size-2] != YY_END_OF_BUFFER_CHAR ||
	     base[size-1] != YY_END_OF_BUFFER_CHAR )
		/* They forgot to leave room for the EOB's. */
		return NULL;

	b = (YY_BUFFER_STATE) yyalloc( sizeof( struct yy_buffer_state )  );
	if ( ! b )
		YY_FATAL_ERROR( "out of dynamic memory in yy_scan_buffer()" );

	b->yy_buf_size = (int) (size - 2);	/* "- 2" to take care of EOB's */
	b->yy_buf_pos = b->yy_ch_buf = base;
	b->yy_is_our_buffer = 0;
	b->yy_input_file = NULL;
	b->yy_n_chars = b->yy_buf_size;
	b->yy_is_interactive = 0;
	b->yy_at_bol = 1;
	b->yy_fill_buffer = 0;
	b->yy_buffer_status = YY_BUFFER_NEW;

	yy_switch_to_buffer( b  );

	return b;
}

/** Setup the input buffer state to scan a string. The next call to yylex() will
 * scan from a @e copy of @a str.
 * @param yystr a NUL-terminated string to scan
 * 
 * @return the newly allocated buffer state object.
 * @note If you want to scan bytes that may contain NUL values, then use
 *       yy_scan_bytes() instead.
 */
YY_BUFFER_STATE yy_scan_string (const char * yystr )
{
    
	return yy_scan_bytes( yystr, (int) strlen(yystr) );
}

/** Setup the input buffer state to scan the given bytes. The next call to yylex() will
 * scan from a @e copy of @a bytes.
 * @param yybytes the byte buffer to scan
 * @param _yybytes_len the number of bytes in the buffer pointed to by @a bytes.
 * 
 * @return the newly allocated buffer state object.
 */
YY_BUFFER_STATE yy_scan_bytes  (const char * yybytes, int  _yybytes_len )
{
	YY_BUFFER_STATE b;
	char *buf;
	yy_size_t n;
	int i;
    
	/* Get memory for full buffer, including space for trailing EOB's. */
	n = (yy_size_t) (_yybytes_len + 2);
	buf = (char *) yyalloc( n  );
	if ( ! buf )
		YY_FATAL_ERROR( "out of dynamic memory in yy_scan_bytes()" );

	for ( i = 0; i < _yybytes_len; ++i )
		buf[i] = yybytes[i];

	buf[_yybytes_len] = buf[_yybytes_len+1] = YY_END_OF_BUFFER_CHAR;

	b = yy_scan_buffer( buf, n );
	if ( ! b )
		YY_FATAL_ERROR( "bad buffer in yy_scan_bytes()" );

	/* It's okay to grow etc. this buffer, and we should throw it
	 * away when we're done.
	 */
	b->yy_is_our_buffer = 1;

	return b;
}

#ifndef YY_EXIT_FAILURE
#define YY_EXIT_FAILURE 2
#endif

static void yynoreturn yy_fatal_error (const char* msg )
{
			fprintf( stderr, "%s\n", msg );
	exit( YY_EXIT_FAILURE );
}

/* Redefine yyless() so it works in section 3 code. */

#undef yyless
#define yyless(n) \
	do \
		{ \
		/* Undo effects of setting up yytext. */ \
        int yyless_macro_arg = (n); \
        YY_LESS_LINENO(yyless_macro_arg);\
		yytext[yyleng] = (yy_hold_char); \
		(yy_c_buf_p) = yytext + yyless_macro_arg; \
		(yy_hold_char) = *(yy_c_buf_p); \
		*(yy_c_buf_p) = '\0'; \
		yyleng = yyless_macro_arg; \
		} \
	while ( 0 )

/* Accessor  methods (get/set functions) to struct members. */

/** Get the current line number.
 * 
 */
int yyget_lineno  (void)
{
    
    return yylineno;
}

/** Get the input stream.
 * 
 */
FILE *yyget_in  (void)
{
        return yyin;
}

/** Get the output stream.
 * 
 */
FILE *yyget_out  (void)
{
        return yyout;
}

/** Get the length of the current token.
 * 
 */
int yyget_leng  (void)
{
        return yyleng;
}

/** Get the current token.
 * 
 */

char *yyget_text  (void)
{
        return yytext;
}

/** Set the current line number.
 * @param _line_number line number
 * 
 */
void yyset_lineno (int  _line_number )
{
    
    yylineno = _line_number;
}

/** Set the input stream. This does not discard the current
 * input buffer.
 * @param _in_str A readable stream.
 * 
 * @see yy_switch_to_buffer
 */
void yyset_in (FILE *  _in_str )
{
        yyin = _in_str ;
}

void yyset_out (FILE *  _out_str )
{
        yyout = _out_str ;
}

int yyget_debug  (void)
{
        return yy_flex_debug;
}

void yyset_debug (int  _bdebug )
{
        yy_flex_debug = _bdebug ;
}

static int yy_init_globals (void)
{
        /* Initialization is the same as for the non-reentrant scanner.
     * This function is called from yylex_destroy(), so don't allocate here.
     */

    (yy_buffer_stack) = NULL;
    (yy_buffer_stack_top) = 0;
    (yy_buffer_stack_max) = 0;
    (yy_c_buf_p) = NULL;
    (yy_init) = 0;
    (yy_start) = 0;

/* Defined in main.c */
#ifdef YY_STDINIT
    yyin = stdin;
    yyout = stdout;
#else
    yyin = NULL;
    yyout = NULL;
#endif

    /* For future reference: Set errno on error, since we are called by
     * yylex_init()
     */
    return 0;
}

/* yylex_destroy is for both reentrant and non-reentrant scanners. */
int yylex_destroy  (void)
{
    
    /* Pop the buffer stack, destroying each element. */
	while(YY_CURRENT_BUFFER){
		yy_delete_buffer( YY_CURRENT_BUFFER  );
		YY_CURRENT_BUFFER_LVALUE = NULL;
		yypop_buffer_state();
	}

	/* Destroy the stack itself. */
	yyfree((yy_buffer_stack) );
	(yy_buffer_stack) = NULL;

    /* Reset the globals. This is important in a non-reentrant scanner so the next time
     * yylex() is called, initialization will occur. */
    yy_init_globals( );

    return 0;
}

/*
 * Internal utility routines.
 */

#ifndef yytext_ptr
static void yy_flex_strncpy (char* s1, const char * s2, int n )
{
		
	int i;
	for ( i = 0; i < n; ++i )
		s1[i] = s2[i];
}
#endif

#ifdef YY_NEED_STRLEN
static int yy_flex_strlen (const char * s )
{
	int n;
	for ( n = 0; s[n]; ++n )
		;

	return n;
}
#endif

void *yyalloc (yy_size_t  size )
{
			return malloc(size);
}

void *yyrealloc  (void * ptr, yy_size_t  size )
{
		
	/* The cast to (char *) in the following accommodates both
	 * implementations that use char* generic pointers, and those
	 * that use void* generic pointers.  It works with the latter
	 * because both ANSI C and C++ allow castless assignment from
	 * any pointer type to void*, and deal with argument conversions
	 * as though doing an assignment.
	 */
	return realloc(ptr, size);
}

void yyfree (void * ptr )
{
			free( (char *) ptr );	/* see yyrealloc() for (char *) cast */
}

#define YYTABLES_NAME "yytables"

#line 167 "css.l"


